# This is a poetry generator, and is part of the Frequency project by Scott Rettberg
# The program and its contents and output may be used and redistributed under a Creative Commons Attribution-Noncommercial license http://creativecommons.org/licenses/by-nc/2.5/
# To run this program, install it in a directory of your choosing, and run it using Ruby in Terminal. Macs come with ruby installed.
# On a Mac, for instance, if I put this file in my Documents folder, to run it I would start Terminal.
# Then I would type $cd Documents to change directories.
# Then $ruby frequency_poetry_generator.rb
# This version written March 25 2009
# Modified and commented Nov 03 2014

#!/usr/bin/env ruby

# This array includes all of the lines of poetry in the project.
# The main constraint of this project is that it is based on a limited vocabulary of 200 of the most frequently used English words.
# Each line uses only words from that list.
# There are ten lines beginning with each of these 200 most commonly used words in English.
# So each of the 2D arrays includes 10 lines.
# For future iterations of the project it is important that this array remain as is since places in the array are specifically addressed.
frequency=[]
frequency[0]=[ 'the word will not be said', 'the hand should point to play', 'the water came and went through us', 'the time came to part', 'the boy in you should turn back', 'the house was not a home', 'the world must see another end', 'the word we would first write then say', 'the men follow us down', 'the answer is not a number' ]
frequency[1]=[ 'of you I can say so little', 'of what came through', 'of these people what can we say', 'of her spell', 'of his time picture a long way down', 'of land take only little', 'of home we ask why here', 'of her on this day', 'of what use I will write', 'of my people I should learn more' ]
frequency[2]=[ 'and it is you who are many', 'and one sentence will follow another', 'and this time will come back no more', 'and you need to live', 'and you read another page', 'and you ask why time is short', 'and you move through the land', 'and you try your kind hand', 'and the end may not change a thing', 'and the day is so long' ]
frequency[3]=[ 'a point should be made', 'a just people would make another world', 'a letter to try and end this', 'a word most would not say', 'a little sound for each of us', 'a name to call your own', 'a change of sentence set to page', 'a great work should follow', 'a man with no need to ask why', 'a different world must follow our own' ]
frequency[4]=[ 'to see her again', 'to ask why', 'to make it through this', 'to number the day', 'to follow it through', 'to want to need again', 'to be still', 'to call and answer', 'to learn why we came', 'to learn who we were' ]
frequency[5]=[ 'in time will we learn', 'in number there were many', 'in a great place now', 'in the long sentence of time', 'in America you were different', 'in each line I see you', 'in answer to your letter', 'in no way could they be right', 'in change again', 'in the old man a boy at play' ]
frequency[6]=[ 'is it you', 'is it long before the end ', 'is this thing on', 'is it my turn', 'is that place different from home', 'is it time for a change', 'is he there with you now', 'is the picture different than before', 'is it your first time', 'is good in there' ]
frequency[7]=[ 'you make me think', 'you give me back my world', 'you ask me for an answer', 'you must be kind', 'you should study and learn', 'you write no more', 'you are America', 'you are an oil man', 'you play around', 'you are mean and old little more' ]
frequency[8]=[ 'that animal like us', 'that long day will come', 'that look will not help you', 'that you will take to the air', 'that word does not mean much', 'that is all what can be said', 'that is your long day', 'that picture may part men', 'that my people call oil', 'that could be your number' ]
frequency[9]=[ 'it was then that she went to him', 'it could change the world', 'it is more picture than word', 'it made us part', 'it would work in the end', 'it is good to be home again', 'it could turn out to be different', 'it is a mean sentence', 'it was not my place', 'it could come from water or the air' ]
frequency[10]=[ 'he will read the letter', 'he will form a point', 'he will help when he can', 'he can go away again', 'he must not part from her', 'he will follow you down', 'he will come in time', 'he is not here now', 'he will be old and with time will follow', 'he has so little here now' ]
frequency[11]=[ 'was a time before will be one after', 'was a picture you could see us in', 'was such a good show back then', 'was men who made us part', 'was air between us', 'was his name she would think of', 'was the house our place a land', 'was little we could want for', 'was another before you came', 'was a long time back America was different' ]
frequency[12]=[ 'for you I would write a page', 'for your mean hand would be still', 'for even little men have their part in change', 'for us I would think and long', 'for time will form a different picture than your own', 'for each man will go down the same', 'for our people we found little here', 'for air we must live on', 'for we must change and move on', 'for she went out and the day went down' ]
frequency[13]=[ 'on that little can be said', 'on this thing I can say little', 'on the day of the end I will form a still point', 'on his picture she just put her hand', 'on my word we will follow you down', 'on his hand he could write a line or two', 'on the day your boy would part from you', 'on your word', 'on her need would he try his kind hand', 'on word and form he would set his answer down' ]
frequency[14]=[ 'are you many in number', 'are we your people', 'are those we put down still part of us', 'are they even men', 'are you here to give me my end', 'are you part of the answer', 'are you more than animal', 'are you mean or kind', 'are you through with your America now', 'are they still my people' ]
frequency[15]=[ 'as if you could tell me', 'as if these words could make you live', 'as I turn away from you', 'as we turn off a little more each day', 'as the spell would work no more', 'as you see oil and water', 'as a new hand would try to move us', 'as we see each other even now', 'as we think and turn it over', 'as you turn away from me' ]
frequency[16]=[ 'with so little to show', 'with his good name off the page', 'with the big picture in play', 'with the day away from us now', 'with the spell over now', 'with one hand where I can see it', 'with the world up in the air', 'with a change in the point of his word', 'with no word to form', 'with people to study the answer' ]
frequency[17]=[ 'his part in this is small', 'his animal will think on it', 'his three men will come for you', 'his work will come to an end', 'his read on this is off the page', 'his turn is over', 'his house is not a home', 'his need to think is not great', 'his sound did make us change', 'his first call did not bring us home' ]
frequency[18]=[ 'they made us part', 'they should answer for what their men do', 'they are not kind to us', 'they come around and study us', 'they may let us live', 'they say this is kind', 'they show their hand', 'they take back all we make', 'they do what no man would want them to', 'they take our people away' ]
frequency[19]=[ 'I can only try', 'I will try to show you around', 'I need to find a different place', 'I do not like the look of this', 'I have to go away from my home', 'I will think on it long', 'I will go down to the well again', 'I must ask for an answer', 'I will try your other number again', 'I am not who you think' ]
frequency[20]=[ 'at the time he was a boy', 'at home he was different', 'at play in a different world', 'at work we could see the change', 'at home we try to change our way', 'at first she was kind', 'at this place we would try to make a go of it', 'at his word we take him', 'at the time he could still learn a thing or two', 'at the water his will would give out' ]
frequency[21]=[ 'be still', 'be a man', 'be of good form if you can', 'be with me again', 'be many when one will not do', 'be not long away from home', 'be one of our people', 'be at one with the land', 'be of help if you can', 'be another if you can change' ]
frequency[22]=[ 'this work is not my own', 'this hand is more than a word', 'this is just a little part of the big picture', 'this play will not end well', 'this air is not good', 'this letter will find no answer', 'this need will see no end', 'this spell will change what you can see', 'this page will not turn', 'this animal can think' ]
frequency[23]=[ 'from one little day to a long year', 'from our home to your land', 'from one still point', 'from your move to my end', 'from the letter to the page', 'from your mother to the end', 'from the study of your page', 'from our work to your play', 'from the same well another water', 'from water to land' ]
frequency[24]=[ 'or you could turn a page', 'or it could come in a new form', 'or you could come with me', 'or it could have been before our time', 'or we could work with them', 'or we could set out for a new land', 'or you could look around', 'or you could be my first', 'or you could ask why', 'or not' ]
frequency[25]=[ 'one can be kind', 'one can be mean', 'one can give a hand', 'one can learn', 'one would not answer the call', 'one could move away', 'one will not be with us', 'one could show the way', 'one can say no', 'one could look up' ]
frequency[26]=[ 'had we world and time', 'had I made it home in time', 'had I put it to an end', 'had we a different hand', 'had we some way out of this', 'had the play not come to an end', 'had the change not come', 'had the before not have been so long', 'had we not work to do', 'had the men not been so mean' ]
frequency[27]=[ 'by and large it was a good day', 'by the way I need you', 'by the sound of it you need help', 'by the people', 'by his hand it came to an end', 'by and by', 'by the time we found him it was over', 'by the end we would learn the answer', 'by name they could tell us one from another', 'by the water we set him down' ]
frequency[28]=[ 'word could not be still', 'word before sentence or page', 'word as the work of man', 'word after sound before line', 'word to give what you think form', 'word more than picture', 'word to make you think', 'word that you had said', 'word is all we have', 'word is not much' ]
frequency[29]=[ 'but you would not say the word', 'but I need to think', 'but I still want an answer', 'but we still have time', 'but we must still try', 'but this is not the end', 'but our time is not long', 'but you read another line', 'but I know there is another place', 'but I have not found it ' ]
frequency[30]=[ 'not what we need now', 'not from what I can see', 'not made for your little hand', 'not because I want it to end', 'not only because of you', 'not one to ask why', 'not in my name', 'not for us to know', 'not time enough to tell you', 'not what you long for' ]
frequency[31]=[ 'what do you have for me', 'what can I do for you', 'what need have you of us', 'what does it mean in the end', 'what kind of play is this', 'what have you found', 'what would you take back if you could', 'what is your read on it', 'what you want', 'what hand is this so old' ]
frequency[32]=[ 'all we have is time', 'all we need is water', 'all went away from him', 'all must know where to go', 'all my air went out from me', 'all must part', 'all must go home again', 'all turn away', 'all play the same way', 'all ask why and find no answer' ]
frequency[33]=[ 'were you there when they came', 'were you the one', 'were they here before us', 'were two or three one too many', 'were my people there', 'were they kind or mean', 'were you any different', 'were you there to ask them', 'were you down all day', 'were you just a boy' ]
frequency[34]=[ 'we know who you are', 'we know where you come from', 'we know what you did', 'we must ask you why', 'we need you to be different', 'we could learn from you', 'we are your America', 'we can try', 'we need a hand', 'we need you with us' ]
frequency[35]=[ 'when did you know', 'when you said the word', 'when a little thing may turn large', 'when did you get so mean', 'when we want more than we need', 'when will we be through with this', 'when will you end it', 'when the time has come', 'when will you change', 'when will I see you again' ]
frequency[36]=[ 'your sentence is so long', 'your word is not so much', 'your kind is not my own', 'your America is not the world', 'your move was not kind', 'your show will not end', 'your play may need one line more', 'your boy is a mean one', 'your animal must be put down', 'your letter was not kind' ]
frequency[37]=[ 'can you tell me why', 'can you just end it', 'can you not water it down', 'can you make me well again', 'can most of us live', 'can they get what we want', 'can we have a word before we part', 'can we make it another year', 'can I go now', 'can you help me with this' ]
frequency[38]=[ 'said no way', 'said way out there man', 'said what do you want', 'said what to my mother', 'said who are you', 'said do me another man', 'said what up', 'said you are the man', 'said the point is what you like', 'said too much' ]
frequency[39]=[ 'there is a still place', 'there is too little time', 'there is no answer', 'there was a way', 'there you go now', 'there were too many of them', 'there was a time and place for us', 'there is still so much to say', 'there will come a day', 'there is no help for you now' ]
frequency[40]=[ 'use me up', 'use another day', 'use me again', 'use her if you must', 'use your turn', 'use what you learn', 'use another word for it', 'use me one more time', 'use your call', 'use him to think for you' ]
frequency[41]=[ 'an oil man came around', 'an answer could come any day', 'an even hand will do you good', 'an animal will put you down', 'an off hand word or two', 'an answer set on the page', 'an answer found through study', 'an answer can be found in this', 'an animal will turn to you', 'an oil that would make him come' ]
frequency[42]=[ 'each must find his own way', 'each day I think of you', 'each letter will make my day', 'each word will help me get on', 'each picture will help me through this', 'each one will come home again', 'each people has their own want', 'each land has its own form', 'each day will change you a little', 'each to his own' ]
frequency[43]=[ 'which land do you come from', 'which part will you play', 'which show are you in', 'which America did you think was your own', 'which spell did you live by', 'which old man did you follow', 'which picture would you change', 'which answer made you still', 'which place will you live in', 'which word did you write' ]
frequency[44]=[ 'she went away from him', 'she found another animal', 'she put him down', 'she went to another land', 'she will come back', 'she will not come back', 'she would think of him', 'she sent word of a change', 'she did not need him', 'she would not answer' ]
frequency[45]=[ 'do me good', 'do it before they come', 'do not even answer', 'do you mean it', 'do you think so', 'do it because I need you', 'do it for your mother', 'do it for your people', 'do you know why', 'do you want it to end' ]
frequency[46]=[ 'how could you do that', 'how do you spell your name', 'how much more do you need', 'how much time do I have', 'how can you go on', 'how many more will it take', 'how long must this go on', 'how did you come in first', 'how did she answer', 'how will you make it right' ]
frequency[47]=[ 'their word is no good', 'their mother was a mean one', 'their land is all we want', 'their help is not what we need', 'their oil could help us', 'their line is the same again', 'their read on it is different', 'their point has been made', 'their show is all about the end', 'their work is not over' ]
frequency[48]=[ 'if we could only be little again', 'if you want me to go I will', 'if you are my kind', 'if only you would see me again', 'if you are more than an animal', 'if you would just turn the page', 'if you would give me just a word', 'if you know tell me so', 'if only I could read what you think', 'if you and I were one' ]
frequency[49]=[ 'will you give just a little more time', 'will you end this thing', 'will we find a way out of this place', 'will you be kind to me again', 'will you turn away', 'will you help me think about this', 'will you follow me home', 'will you tell me why', 'will you try to form an answer', 'will you get over it' ]
frequency[50]=[ 'up in the air', 'up and away', 'up out of this world', 'up and down again', 'up went the boy', 'up to where you live', 'up to another place', 'up where no live man can go', 'up with mother', 'up and away from us' ]
frequency[51]=[ 'other than that little is new', 'other men will follow you down', 'other than you I have no need', 'other than what you see', 'other than this world', 'other than our home', 'other than an animal', 'other than the air', 'other than your mother', 'other than this place' ]
frequency[52]=[ 'about why we came here', 'about where we came from', 'about who we are', 'about what you and I need', 'about your spell on me', 'about what they think of America', 'about how we would change the world', 'about your letter', 'about that sound', 'about what we will do after' ]
frequency[53]=[ 'out of my house now', 'out of this world', 'out back where they did it', 'out of line', 'out of work', 'out of even a word to say', 'out of time', 'out of place', 'out of form', 'out there in the world' ]
frequency[54]=[ 'many came to try', 'many would have this land', 'many will put on a show', 'many would have you', 'many would have it different', 'many do little', 'many work more than us', 'many live off of oil', 'many need water', 'many find no answer' ]
frequency[55]=[ 'then we need to change', 'then we will have to think on it', 'then you can show me what you are made of', 'then you can come back again', 'then we will see', 'then we will know', 'then they will have their day', 'then it will be time for the end', 'then you will see', 'then you will want to come back' ]
frequency[56]=[ 'them who would show us the way', 'them they are not from around here', 'them people are not kind', 'them that were here before us', 'them or us', 'them old people need water', 'them mean people should go away', 'them people can show you around', 'them people think they are so great', 'them people use too much air' ]
frequency[57]=[ 'these people will change us', 'these will spell our end', 'these are what you want', 'these are not right for us now', 'these will do', 'these should be read', 'these may have the answer', 'these are what we need', 'these are on hand', 'these have been found around the home' ]
frequency[58]=[ 'so what', 'so why is it not good', 'so will you change', 'so are you also a part of it', 'so what is the answer after all', 'so was it all just a play', 'so are you kind', 'so will you take another turn', 'so do you need me', 'so why do you ask' ]
frequency[59]=[ 'some would call him back', 'some could not get there', 'some could not make it here', 'some had a different picture', 'some look for another show', 'some wait for their part', 'some say not again', 'some ask why', 'some are over this', 'some turn away from you' ]
frequency[60]=[ 'her place was her own', 'her big change had come', 'her sound was great and different', 'her look was such that he would not know', 'her day is now', 'her hand could write a page in the water', 'her land is not your own', 'her man would not say what he could see', 'her turn came around again', 'her answer they would study' ]
frequency[61]=[ 'would you like to see', 'would you like to know', 'would you tell me much', 'would the answer change you', 'would you turn away', 'would you make your point', 'would go down the well again', 'would you tell me some new word', 'would you know the answer', 'would you make him go away' ]
frequency[62]=[ 'make me new', 'make me live again', 'make the boy a man', 'make the man a boy again', 'make them look up', 'make two into three', 'make much of time', 'make it end', 'make the world new', 'make a home where you can' ]
frequency[63]=[ 'like a small animal that could not change', 'like people so down they could not see', 'like this very place here and now', 'like a man from a different world', 'like a study of the world come to an end', 'like America when it was new', 'like you were in me', 'like I was in you', 'like the boy was still in him', 'like an animal put down' ]
frequency[64]=[ 'him he would like you', 'him he was not in the picture', 'him well he was put down', 'him most like an animal', 'him he would write another great letter', 'him he was through', 'him well he was not like us', 'him what does he know', 'him you go to after all', 'him he found his answer' ]
frequency[65]=[ 'into the new day', 'into another form', 'into another home', 'into another move', 'into that mean old place', 'into her spell', 'into the picture', 'into that good place', 'into another change', 'into their first home' ]
frequency[66]=[ 'time has a way', 'time will take it away', 'time will you show you', 'time for what I need', 'time for you to try', 'time for you to give up', 'time to turn the page', 'time has your number', 'time is in the air', 'time to learn from all of this' ]
frequency[67]=[ 'has she now made do', 'has the show come to an end', 'has oil made a move', 'has that man been kind to you', 'has he been around', 'has the world been kind to you', 'has your number come up', 'has he made it through', 'has he been of help', 'has the end come' ]
frequency[68]=[ 'look out', 'look me up', 'look it up', 'look into my line', 'look into the water', 'look him up some time', 'look at the time', 'look out for your people', 'look also for the answer', 'look to each other' ]
frequency[69]=[ 'two old men set down to think', 'two are more than one', 'two have come to look you up', 'two were here before you', 'two would try your hand', 'two who will even try', 'two may be three before the end', 'two came back', 'two kind men look over you', 'two mean people have been here' ]
frequency[70]=[ 'more than you could know', 'more water than oil', 'more mean than good', 'more just than good', 'more put than call', 'more help is what we need', 'more men for this work', 'more number than word', 'more may part', 'more boy than man' ]
frequency[71]=[ 'write more', 'write again', 'write another page', 'write about this place', 'write about your people', 'write me when you can', 'write if you need me', 'write in my name', 'write because you need to', 'write because you live' ]
frequency[72]=[ 'go away', 'go tell it to the air', 'go and end it now', 'go find your own place', 'go from here and do not come back', 'go show them', 'go study and learn about the world', 'go over it again', 'go find the place where the world will end', 'go and tell me what you see' ]
frequency[73]=[ 'see it through', 'see to it', 'see what you did', 'see a different picture', 'see her again', 'see home again', 'see how they try', 'see a way out', 'see how little they know', 'see how they go in the end' ]
frequency[74]=[ 'number each work', 'number each form', 'number each animal', 'number two before three', 'number one came down to look for you', 'number them all the same', 'number your day', 'number them down', 'number back your year', 'number the time' ]
frequency[75]=[ 'no way to answer', 'no time to give', 'no answer for you', 'no because I will not', 'no not at the time', 'no one would call him', 'no one will write', 'no one could picture this', 'no change', 'no this is not good' ]
frequency[76]=[ 'way to go', 'way out of line', 'way into each other', 'way too little time for that', 'way around it', 'way to another land', 'way out there man', 'way different than before', 'way to say it', 'way to make her see me for what I am' ]
frequency[77]=[ 'could you call me', 'could you turn over', 'could you turn it off', 'could you place him', 'could you ask her why', 'could you tell time', 'could you be more mean', 'could we be over', 'could America go down', 'could you show me the way' ]
frequency[78]=[ 'people work it out', 'people move one another', 'people need their air', 'people try their hand', 'people have no time', 'people will learn from this', 'people get out of the way', 'people are mean', 'people have found out', 'people could not get out' ]
frequency[79]=[ 'my word', 'my turn is over', 'my point is made', 'my day is long', 'my animal would like to be home', 'my home is not a land', 'my line is not what it was', 'my answer is no', 'my boy where did you go', 'my name here' ]
frequency[80]=[ 'than this land', 'than my name', 'than the world', 'than your America', 'than how you would picture it', 'than what I think', 'than water', 'than our house', 'than what you say', 'than another now' ]
frequency[81]=[ 'first one then another', 'first two then three', 'first then again', 'first there is a sound', 'first you go away', 'first you need to turn around', 'first you need to call her', 'first think of your mother', 'first study your part', 'first learn from this' ]
frequency[82]=[ 'water my land', 'water will take you away', 'water will give back', 'water it well', 'water it down', 'water to the well', 'water will go down', 'water in another well', 'water is the mother of us all', 'water will be found there' ]
frequency[83]=[ 'been a long time', 'been some time', 'been over and back again', 'been down that way', 'been down so long', 'been more than a day', 'been a good time', 'been your turn to call', 'been away from home', 'been out of this world' ]
frequency[84]=[ 'call on me', 'call it a day', 'call for another', 'call me back', 'call for help', 'call before it is too long', 'call out to each other', 'call down the well', 'call off your animal', 'call off your mean one' ]
frequency[85]=[ 'who would want to know', 'who was it', 'who did you call', 'who did you tell', 'who went over it', 'who made it out', 'who is still there', 'who did you want', 'who would write such a letter', 'who would think such a thing' ]
frequency[86]=[ 'oil is not the answer', 'oil and water', 'oil her up', 'oil in the well', 'oil up America', 'oil is in the picture', 'oil me down', 'oil went up again', 'oil is long for now', 'oil is not all we need' ]
frequency[87]=[ 'its sound like an animal', 'its little hand is there', 'its land is not our own', 'its form is very large', 'its need you must put before your own', 'its answer to all is no', 'its world is so different', 'its sentence came down', 'its right to live', 'its end will come' ]
frequency[88]=[ 'now what did you learn', 'now it will have its way with you', 'now there is an animal in the house', 'now give me your answer do', 'now you can follow another', 'now you should read the letter', 'now does he know', 'now we have the very thing we were after', 'now what do you need', 'now where were we' ]
frequency[89]=[ 'find another way', 'find out who he is', 'find out where they went', 'find out what they want', 'find your old man', 'find out his name', 'find it in the air', 'find another to give it to you', 'find out who did it', 'find them' ]
frequency[90]=[ 'long for you all day', 'long to be with you', 'long time from now', 'long to know', 'long the day away', 'long before we came to each other', 'long was the day', 'long and mean', 'long look at her', 'long for you still' ]
frequency[91]=[ 'down in a large way', 'down a line or two', 'down because I want you', 'down because I want to be home again', 'down for a time', 'down on the world', 'down on me', 'down on you', 'down on this place', 'down there and back again' ]
frequency[92]=[ 'day is long', 'day before you came around', 'day before this one', 'day that I met you', 'day will grow old', 'day will end', 'day for another try', 'day that she went away', 'day that she came back', 'day is still to come' ]
frequency[93]=[ 'did you follow that', 'did you give in', 'did they come for him', 'did you get my point', 'did you water it down', 'did you come back', 'did you see a different end to this', 'did you look into it', 'did you play with them', 'did you call on her' ]
frequency[94]=[ 'get with it', 'get on with it', 'get it on', 'get back to me', 'get their number', 'get a long sentence', 'get put out', 'get the right form', 'get to live', 'get to live with it' ]
frequency[95]=[ 'come on', 'come out', 'come away with me', 'come on and tell me', 'come and live with me', 'come another time', 'come because I need you to', 'come down', 'come on up', 'come on up to my house' ]
frequency[96]=[ 'made in America', 'made for another hand', 'made to change', 'made man', 'made out', 'made of oil', 'made a sound', 'made to move', 'made up', 'made by your mother' ]
frequency[97]=[ 'may you live long', 'may you find another home', 'may time be kind to you', 'may you live to see another day', 'may you get your answer', 'may you play your part well', 'may you live many a year', 'may you find your place', 'may you make it through', 'may you find the right line' ]
frequency[98]=[ 'part of it now', 'part the water for us', 'part of his world', 'part of me saw through it', 'part of me is an animal', 'part the way for him', 'part of the answer', 'part of what we need', 'part of the way there', 'part of what we do here' ]
frequency[99]=[ 'over there', 'over it', 'over her now', 'over your spell', 'over two or three', 'over a need to know', 'over that place', 'over what you think you know', 'over her', 'over the need for an answer' ]
frequency[100]=[ 'new answer just came in', 'new way to live', 'new so it must be good', 'new world is over', 'new to you', 'new you', 'new work is on the way', 'new way to think about', 'new place and name', 'new again' ]
frequency[101]=[ 'sound off', 'sound out the word', 'sound of an animal', 'sound of a very small boy', 'sound in the air', 'sound but not word', 'sound of a page turn', 'sound you can see', 'sound of your name', 'sound of water' ]
frequency[102]=[ 'take that thing off', 'take all you can get', 'take it from me', 'take me to the great one', 'take me away from here', 'take me with you', 'take out', 'take away', 'take another turn', 'take it away' ]
frequency[103]=[ 'only tell me what you mean', 'only give me a call', 'only a year or two more', 'only a word', 'only look at me before you go', 'only tell me why', 'only one around', 'only her letter to go on', 'only give a little back', 'only you are left' ]
frequency[104]=[ 'little did we know', 'little to show for it', 'little was said', 'little to learn', 'little world after all', 'little hand in your own', 'little sound and then the end', 'little word or two to say', 'little point in it', 'little to go on' ]
frequency[105]=[ 'work it out', 'work on it', 'work with me here', 'work around it', 'work through it', 'work with your people', 'work is all you have now', 'work because I say to', 'work because you want to live', 'work all you can' ]
frequency[106]=[ 'know my place', 'know whey we came', 'know that you are right', 'know that I need you', 'know what', 'know who it is', 'know what you want', 'know what you need', 'know I will not change', 'know so little still' ]
frequency[107]=[ 'place it on a number', 'place it where you want to', 'place me now', 'place where we would play', 'place of great change', 'place where your mother came from', 'place your hand where you want to', 'place may not mean a thing', 'place them in a home', 'place the letter in my hand' ]
frequency[108]=[ 'year can use up a man', 'year and then another', 'year that you came around', 'year we got the answer', 'year that we would try', 'year to show them what you can do', 'year was all about play', 'year we went away', 'year we had to part', 'year was not a good one' ]
frequency[109]=[ 'live to see another day', 'live like you should', 'live like you mean it', 'live now', 'live before you can no more', 'live animal in the house', 'live it down', 'live through it', 'live how you will', 'live with it' ]
frequency[110]=[ 'me I am not who you think', 'me I just live here', 'me I will not turn away', 'me I will not answer your call', 'me I need more', 'me I only want you', 'me and you will do', 'me time', 'me much the same as before', 'me I will not change' ]
frequency[111]=[ 'back off', 'back away', 'back of my hand', 'back in time', 'back to your point', 'back in the world', 'back home', 'back where we come from', 'back when I was a boy', 'back in the day' ]
frequency[112]=[ 'give a little', 'give in', 'give it back', 'give up', 'give out', 'give it to me', 'give me your answer', 'give them what they want', 'give it a look see', 'give that animal a home' ]
frequency[113]=[ 'most were kind', 'most but not all', 'most of all I need you', 'most of the time', 'most of a year went by', 'most saw right through it', 'most a word or two', 'most of the day', 'most would just give up', 'most were not from around here' ]
frequency[114]=[ 'very long day', 'very little to show for it', 'very into it', 'very into her', 'very out of it', 'very through with it', 'very long away from home', 'very much the same', 'very large', 'very small' ]
frequency[115]=[ 'after what you said', 'after you put your spell on me', 'after you put it like that', 'after you were well again', 'after you back out again', 'after we are through with you', 'after what you did', 'after you give up', 'after you tell me why', 'after you play your part' ]
frequency[116]=[ 'thing so large', 'thing so small', 'thing about you', 'thing that we know', 'thing that you can tell me', 'thing about your world', 'thing found in your home', 'thing that will be good for us', 'thing about it is', 'thing or two to say to you' ]
frequency[117]=[ 'our thing is not for you to see', 'our world is different', 'our show must go on', 'our work is not through', 'our house is not in good form', 'our people must go', 'our people can be mean', 'our call must get an answer', 'our part in this is not kind', 'our letter must be read' ]
frequency[118]=[ 'just end it', 'just give it a name', 'just get over it', 'just and good', 'just give in', 'just help me a little', 'just give us a hand', 'just say what you need', 'just let it be', 'just take what you need' ]
frequency[119]=[ 'name your need', 'name the day', 'name the man who did this', 'name all who you know', 'name of this place', 'name on the house was different', 'name of him who was first here', 'name her after your mother', 'name is what we are after', 'name is a study in the way of man' ]
frequency[120]=[ 'good for you', 'good way to go', 'good day', 'good day to end it all', 'good for them', 'good call', 'good will only get you to part', 'good to let it out', 'good of you to come', 'good try' ]
frequency[121]=[ 'sentence you to live with it', 'sentence him and be over with it', 'sentence is not a line', 'sentence or word', 'sentence those three over there', 'sentence so small', 'sentence must form', 'sentence this animal', 'sentence the boy as a man', 'sentence them all' ]
frequency[122]=[ 'man it was a long day', 'man is he an animal', 'man must ask why', 'man that was a year', 'man can only live so long', 'man that sound is good', 'man you must be still', 'man I need some water', 'man if you were here', 'man just look at this place' ]
frequency[123]=[ 'think about what you try to do to me', 'think about it', 'think on it', 'think about how you would change it', 'think about what your word may mean', 'think back long as you can go', 'think about that time', 'think about the boy', 'think on the page', 'think for a day or two' ]
frequency[124]=[ 'say that you need me', 'say how have you been', 'say that you need me', 'say can you do a thing for me', 'say what', 'say where were you', 'say it now', 'say your name', 'say the answer', 'say what you have found' ]
frequency[125]=[ 'great big man will come after you', 'great this is all we need', 'great one why did you let me down', 'great but small in form', 'great big old long sentence', 'great to be with you', 'great big oil well', 'great well this is all we have now', 'great day that was', 'great land but no water' ]
frequency[126]=[ 'where are all the great men', 'where is your place', 'where did you find this one', 'where do you want to go', 'where will you go now', 'where can I find you', 'where will we end up', 'where did you think I would be', 'where did it go down', 'where did the time go' ]
frequency[127]=[ 'help me out', 'help us', 'help with this', 'help me to see your point', 'help me get out of this', 'help show me the way', 'help me get through this', 'help set it right', 'help if only a little', 'help me to think' ]
frequency[128]=[ 'through with you', 'through one long year', 'through part of it', 'through the water', 'through with this', 'through with the world', 'through with this place', 'through with these people', 'through my own hand', 'through another way' ]
frequency[129]=[ 'much still to read', 'much need', 'much time still for us', 'much at home here', 'much more than you will know', 'much as she said', 'much work to do', 'much as you might think', 'much water down the well', 'much when many have so little' ]
frequency[130]=[ 'before the end', 'before we are through with you', 'before you go', 'before you say a thing', 'before you tell us which man did this', 'before you even think about it', 'before you ask me why', 'before it is over', 'before you turn the page', 'before you show your hand' ]
frequency[131]=[ 'line up when I call your name', 'line out to our people', 'line them up', 'line from here to home', 'line of people in need', 'line before page', 'line you would live by', 'line was just that', 'line off the page', 'line took a turn' ]
frequency[132]=[ 'right at home', 'right in place', 'right back to that animal', 'right or just all the same to me', 'right now', 'right where you picture it', 'right where it was before', 'right may still mean a thing', 'right there', 'right because I said so' ]
frequency[133]=[ 'too much', 'too little time', 'too many of them', 'too many follow him', 'too little for you to do', 'too many came around to ask', 'too much has been said', 'too many of them', 'too still', 'too down to get back up again' ]
frequency[134]=[ 'mean what you say', 'mean man', 'mean people get me down', 'mean to be good', 'mean to an end', 'mean place', 'mean people all over the world', 'mean just what I say', 'mean to make good on it', 'mean that it has to end' ]
frequency[135]=[ 'old letter from you', 'old place is still there', 'old men just want it to end', 'old man has a word or two', 'old people have much to say', 'old now the boy will turn back', 'old need come back again', 'old spell did its work', 'old number came up again', 'old time' ]
frequency[136]=[ 'any way', 'any how', 'any time you want me', 'any word will do', 'any answer is good for now', 'any old way', 'any day it could come', 'any day now they could come for me', 'any land other than this one', 'any place will do' ]
frequency[137]=[ 'same as it was before', 'same but different', 'same place different year', 'same people different place', 'same men came around again', 'same time and place', 'same right down to the letter', 'same kind of thing', 'same as the three before it', 'same picture different read' ]
frequency[138]=[ 'tell me you want it to end', 'tell me you want me', 'tell me the time of day', 'tell them to end it ', 'tell the man what you need', 'tell me what you want', 'tell me your answer', 'tell you what', 'tell me where to go', 'tell me what to do now' ]
frequency[139]=[ 'boy was that a day', 'boy what a year', 'boy would follow you to the end', 'boy will ask where you went', 'boy you need to change', 'boy what is your point', 'boy I do not know what to say', 'boy was that different', 'boy you will get your answer', 'boy do what your mother said' ]
frequency[140]=[ 'follow that man', 'follow the hand', 'follow me', 'follow you where you go', 'follow you down', 'follow you to the end', 'follow what you say', 'follow through', 'follow the line', 'follow your part' ]
frequency[141]=[ 'came across', 'came through', 'came out of it', 'came over from your world to mine', 'came again', 'came with little to give', 'came over', 'came with you', 'came in the form of a picture', 'came to' ]
frequency[142]=[ 'want you', 'want to mean', 'want to play', 'want another turn', 'want to need it', 'want it even more', 'want to set it right', 'want it to end', 'want the same thing', 'want my mother' ]
frequency[143]=[ 'show me', 'show me the way', 'show them', 'show must go on', 'show me the place', 'show them around', 'show what you can do', 'show them your spell', 'show me your thing', 'show me how it will end' ]
frequency[144]=[ 'also be well', 'also a part of it', 'also in need', 'also big in my land', 'also because of you', 'also such a place', 'also one of your number', 'also with you', 'also came in first', 'also an animal' ]
frequency[145]=[ 'around that time', 'around the world', 'around this time a day from now', 'around our house', 'around here', 'around the old place', 'around the time of the end', 'around the new year', 'around the big house', 'around her place' ]
frequency[146]=[ 'form a sentence', 'form a line', 'form of water', 'form of air', 'form your answer', 'form a picture', 'form of a boy', 'form a large number', 'form a new sound', 'form a new land' ]
frequency[147]=[ 'three read the letter', 'three will come after you', 'three should be enough', 'three can live here', 'three is no great number', 'three want to change', 'three will be the same', 'three went home', 'three have said their part', 'three long for home' ]
frequency[148]=[ 'small thing so little', 'small animal but a mean one', 'small like him', 'small of your back', 'small house', 'small but great', 'small in a big way', 'small at home', 'small again', 'small as a little boy' ]
frequency[149]=[ 'set to work', 'set down', 'set in his way', 'set off for a new land', 'set here where I am', 'set for now', 'set a spell', 'set a line to the page', 'set to move when you are', 'set on your way' ]
frequency[150]=[ 'put to an end', 'put out', 'put in', 'put in such a way', 'put it away', 'put me down', 'put another way', 'put through that', 'put well', 'put before him' ]
frequency[151]=[ 'end it now', 'end will come', 'end to it', 'end of all time', 'end of our people', 'end of us', 'end of the line', 'end and that is it', 'end but there is also another day', 'end will need some work' ]
frequency[152]=[ 'does she even know', 'does the world still turn', 'does he need to go away', 'does it need to end', 'does your want change to a need', 'does the line look right', 'does the line look long', 'does the man still come around', 'does he even think at all', 'does she want to come back' ]
frequency[153]=[ 'another way to put it', 'another day in America', 'another chance', 'another way to end it', 'another way to show off', 'another will come', 'another try', 'another will come for you', 'another one of your people', 'another name for you to try on' ]
frequency[154]=[ 'well that was good', 'well that will be all', 'well as you would think', 'well that was a day', 'well call me before you go', 'well can it be said', 'well will one more be too many', 'well how are you', 'well that is not what I have found', 'well we will need to give it more study' ]
frequency[155]=[ 'large chance', 'large as they come', 'large as in big', 'large animal in the house', 'large number of men after you', 'large number of them', 'large as in many', 'large as America', 'large and by', 'large house to live in' ]
frequency[156]=[ 'must I go on', 'must it end here', 'must you be so different', 'must we go', 'must you go', 'must you ask me why', 'must part', 'must play our part', 'must have our say', 'must be still' ]
frequency[157]=[ 'big time', 'big boy now', 'big as you could want', 'big is large in America', 'big world but small people', 'big answer', 'big day', 'big year', 'big animal after you', 'big thing' ]
frequency[158]=[ 'even if', 'even out', 'even if she does not come back', 'even if the answer could not be found', 'even if it is as you say', 'even though you say so', 'even if you are right', 'even though it has been a long time', 'even for such an animal', 'even the boy must go' ]
frequency[159]=[ 'such as it is', 'such has been the year', 'such is how they work', 'such as your work', 'such as the water', 'such as you would think', 'such a great boy', 'such a large thing', 'such a small thing', 'such a spell she put on me' ]
frequency[160]=[ 'because I want to', 'because you made me do it', 'because I need it', 'because your answer will not do', 'because it is over now', 'because we must part', 'because I could not find you', 'because I need her', 'because you are an animal', 'because we are so different' ]
frequency[161]=[ 'turn away', 'turn on', 'turn over', 'turn off', 'turn into a different animal', 'turn around', 'turn down', 'turn it up', 'turn new', 'turn right' ]
frequency[162]=[ 'here and now', 'here could be any place', 'here is where it must end', 'here is where the man was found', 'here it is', 'here they come', 'here I come', 'here I make a line', 'here and there', 'here is the place you will go' ]
frequency[163]=[ 'why ask me', 'why do you even ask', 'why do you think', 'why is he here', 'why did you do this', 'why did you give me this thing', 'why do you think this is just', 'why is he in my house', 'why did you take the boy', 'why should I' ]
frequency[164]=[ 'ask me why', 'ask them to end it', 'ask for another chance', 'ask why they came', 'ask for an answer', 'ask for something big', 'ask them for a number', 'ask if they will follow', 'ask me what I think', 'ask why they think they have the right' ]
frequency[165]=[ 'went and came back again', 'went over it again', 'went through this', 'went to a different place', 'went back to the old place', 'went to see your mother', 'went to the home', 'went after them', 'went to the well again', 'went down by the water' ]
frequency[166]=[ 'men came and went', 'men came and took him away', 'men know not what they do', 'men are all the same', 'men in need of help', 'men will come after you', 'men will want you to change', 'men are all different', 'men back off', 'men need change' ]
frequency[167]=[ 'read another line', 'read what I think', 'read this page', 'read him the letter', 'read it and go home', 'read to your boy', 'read this and call it a day', 'read on and see if an answer can be found', 'read around the line', 'read before you can no more' ]
frequency[168]=[ 'need to move on', 'need to change', 'need you', 'need to picture it', 'need to get away', 'need to talk with the great one', 'need to see my boy', 'need to get in line', 'need to live with it', 'need a new house' ]
frequency[169]=[ 'land on go', 'land in this old place', 'land or water', 'land for you to move to', 'land would be good', 'land here or there', 'land if you want it', 'land out of time', 'land of my people', 'land they call America' ]
frequency[170]=[ 'different time', 'different place', 'different people', 'different way to try', 'different world than your own', 'different picture', 'different home', 'different from what you think', 'different form', 'different from before' ]
frequency[171]=[ 'home in on it', 'home for the animal', 'home is right here', 'home is not just a house', 'home is in you', 'home for a year or two', 'home will change after you go', 'home is all I think of', 'home is here for you', 'home will call you back' ]
frequency[172]=[ 'us we will not change', 'us we ask why', 'us is not the point', 'us or America', 'us we are different', 'us we form a set', 'us we will not say', 'us you and I we follow', 'us we are now three', 'us we need each other' ]
frequency[173]=[ 'move on', 'move on before they find you', 'move out', 'move to another place', 'move if you want to live', 'move back home', 'move before your turn is over', 'move it out of here', 'move or they will get you', 'move before you are found out' ]
frequency[174]=[ 'try another way', 'try to change', 'try to move on', 'try to write her a letter', 'try to think back', 'try to let go', 'try to get with it', 'try to make it right', 'try to say what you mean', 'try to be kind' ]
frequency[175]=[ 'kind of mean', 'kind of put out', 'kind of you to say it', 'kind of different', 'kind of down now', 'kind but very old', 'kind of all over the place', 'kind of answer is that', 'kind of you to tell me', 'kind of you to come ' ]
frequency[176]=[ 'hand me that thing', 'hand off', 'hand in the air', 'hand me the picture', 'hand out', 'hand in it', 'hand of another', 'hand was all over you', 'hand will not be still', 'hand it to me now' ]
frequency[177]=[ 'picture this', 'picture of the world', 'picture of her', 'picture of your mother', 'picture from America', 'picture of the water', 'picture does not tell me much', 'picture a new world', 'picture you would make', 'picture of our time' ]
frequency[178]=[ 'again you tell me this', 'again your answer is no', 'again you will not change', 'again the sound', 'again I try to call', 'again we will try', 'again the word is no', 'again the world is still', 'again another big change', 'again it will go down' ]
frequency[179]=[ 'change will do you some good', 'change may not good after all', 'change your look', 'change the picture a little', 'change that time will write', 'change is not the point', 'change is not the answer', 'change into another form', 'change before they do it for you', 'change if you want to live' ]
frequency[180]=[ 'off the page', 'off my land', 'off of me you animal', 'off a long way', 'off in place and time', 'off in another world', 'off all year long', 'off to try again', 'off to some other place', 'off is no turn on' ]
frequency[181]=[ 'play in the house', 'play must go on', 'play in the water', 'play like you need him', 'play like an animal', 'play as if you know', 'play which I will write', 'play which has an answer', 'play your number and see', 'play it one more time' ]
frequency[182]=[ 'spell it out', 'spell your name', 'spell will end', 'spell will change you', 'spell out what you need', 'spell me an hour', 'spell made the show', 'spell took some work', 'spell was too much', 'spell it on the page' ]
frequency[183]=[ 'air it out', 'air is not good here', 'air water and land', 'air what you think with them', 'air around them', 'air is great here', 'air did not make him feel well', 'air is all I need from you', 'air of the old world about him', 'air is the same here as it was there' ]
frequency[184]=[ 'away from here', 'away from this place', 'away from me', 'away with you', 'away from America', 'away for a year or two', 'away because I need a chage', 'away for a day or three', 'away but still here', 'away from that man' ]
frequency[185]=[ 'animal need', 'animal from the water to land', 'animal will follow you to the end', 'animal is after you', 'animal in your house', 'animal sound out there', 'animal will find you', 'animal large and mean', 'animal can part you in two', 'animal at home' ]
frequency[186]=[ 'house is not a home', 'house for you to live in', 'house of an animal', 'house is still there', 'house is not there now', 'house we could make a home', 'house for the two of us', 'house where we would play', 'house is not the same', 'house where I was a boy' ]
frequency[187]=[ 'point it out to me', 'point has been made', 'point the way', 'point of our study', 'point to your people', 'point after all of that', 'point them out to us', 'point me there', 'point him away from here', 'point to any of it' ]
frequency[188]=[ 'page I could not read', 'page me when you get home', 'page we can turn', 'page that you read', 'page through your part', 'page has no answer', 'page about our land', 'page could not be found', 'page to make you think', 'page with a spell on it' ]
frequency[189]=[ 'letter from her', 'letter from your mother', 'letter from your man', 'letter could be the end', 'letter was very mean', 'letter I will write', 'letter to America', 'letter but not an answer why', 'letter before she left', 'letter was just a line' ]
frequency[190]=[ 'mother where are you', 'mother and home all that', 'mother put in a call', 'mother would want you to learn', 'mother said to study', 'mother would want you home again', 'mother has no answer for you', 'mother said you let her down', 'mother should know', 'mother would like to know' ]
frequency[191]=[ 'answer not found', 'answer me if you can', 'answer him if you must', 'answer my letter', 'answer the call', 'answer me', 'answer the man', 'answer when I call', 'answer is in this house', 'answer for what you have done' ]
frequency[192]=[ 'found out', 'found in his home', 'found with another', 'found out about you', 'found it after a very long look', 'found it in you', 'found some small answer', 'found out where you live', 'found out because of you', 'found it in their home' ]
frequency[193]=[ 'study up on it', 'study and learn', 'study your world', 'study and be well', 'study them', 'study her ', 'study that animal', 'study and learn to be a good man', 'study and think long', 'study well your part' ]
frequency[194]=[ 'still there is time', 'still no answer', 'still need to find a place', 'still I want you', 'still need you', 'still I need to find out', 'still time will change us', 'still there', 'still here with you', 'still just one of many' ]
frequency[195]=[ 'learn from this and move on', 'learn to answer when I call', 'learn from this man', 'learn the boy up good', 'learn and tell me what I need to know', 'learn to let go', 'learn to move on', 'learn to live it down', 'learn to get on with it', 'learn to look away' ]
frequency[196]=[ 'should go now', 'should tell you', 'should have been with her', 'should have found an answer', 'should have gone away', 'should turn out well', 'should have been different', 'should not have come to an end', 'should have come over', 'should have been with me' ]
frequency[197]=[ 'America will not answer you', 'America does not want to play', 'America came and took your mother away', 'America can be mean', 'America will have its way with you', 'America is not through with you', 'America will turn the page', 'America does not play around', 'America will see you now', 'America will be over before you know it' ]
frequency[198]=[ 'world would not be still', 'world to come', 'world will be here even if you are not', 'world in his hand', 'world put right', 'world may need a hand', 'world came to an end', 'world will make a man mean', 'world is not small at all', 'world is not well' ] 
frequency[199]=[ 'have you any need to ask why', 'have you made your move', 'have you come', 'have they come for us', 'have you had your say', 'have to ask for your help', 'have you had a good time', 'have I found my place', 'have you even a name for this', 'have you some time for me' ]
# 199 should have been 23 in original order.

# Proc to select a random line of the poem
line = Proc.new do
frequency[rand(200)][rand(10)]
end

normal_poem = Proc.new do
	# to write a 14 line poem with four stanzas and no rhyme scheme
	# Title is just a line of the poem put in uppercase letters.
	puts '--------------------------------------'
	puts line.call.upcase
	puts
 	  puts line.call
 	  puts line.call
 	  puts line.call
 	  puts line.call
	puts
 	  puts line.call
 	  puts line.call
 	  puts line.call
 	  puts line.call
	puts
  	  puts line.call
  	  puts line.call
  	  puts line.call
  	  puts line.call
	puts
 	  puts line.call
 	  puts line.call
	puts '--------------------------------------'
end

# Arrays of rhyming end words
# The following arrays are lists of lines that have common end-word sounds. They are hand-assembled and specifically addressed.

#-er words
freq_er_end=[ frequency[0][9], frequency[2][1], frequency[4][7], frequency[5][6], frequency[7][2], frequency[8][9], frequency[10][0], frequency[10][4], frequency[11][0], frequency[14][0], frequency[14][5], frequency[15][5], frequency[15][8], frequency[16][9], frequency[17][5], frequency[19][7], frequency[22][2], frequency[23][8], frequency[27][6], frequency[27][7], frequency[27][8], frequency[29][2], frequency[32][1], frequency[32][9], frequency[38][3], frequency[39][2], frequency[44][9], frequency[45][2], frequency[45][6], frequency[46][8], frequency[47][9], frequency[49][8], frequency[50][8], frequency[51][8], frequency[52][7], frequency[52][9], frequency[54][8], frequency[54][9], frequency[56][5], frequency[57][6], frequency[60][5], frequency[61][8], frequency[64][4], frequency[64][9], frequency[66][7], frequency[68][4], frequency[68][8], frequency[68][9], frequency[75][0], frequency[76][2], frequency[77][1], frequency[77][7], frequency[78][1], frequency[79][1], frequency[80][6], frequency[81][0], frequency[81][6], frequency[81][7], frequency[84][2], frequency[84][6], frequency[85][8], frequency[86][0], frequency[86][1], frequency[88][4], frequency[88][5], frequency[88][7], frequency[90][5], frequency[90][8], frequency[93][9], frequency[94][4], frequency[96][9], frequency[97][4], frequency[98][6], frequency[99][8], frequency[99][9], frequency[100][3], frequency[101][9], frequency[107][0], frequency[108][1], frequency[108][3], frequency[112][6], frequency[114][3], frequency[117][7], frequency[119][7], frequency[119][8], frequency[124][8], frequency[125][9], frequency[128][3], frequency[130][7],  frequency[137][6], frequency[138][6], frequency[139][8], frequency[141][6], frequency[142][9], frequency[144][6], frequency[146][2], frequency[146][4], frequency[146][7], frequency[147][0], frequency[147][4], frequency[157][5], frequency[159][4], frequency[160][7], frequency[161][2], frequency[164][4], frequency[164][6], frequency[165][5], frequency[165][9], frequency[167][3], frequency[169][2], frequency[172][9], frequency[173][6], frequency[174][3], frequency[176][6], frequency[177][2], frequency[177][3], frequency[177][5], frequency[179][6], frequency[181][2], frequency[181][7], frequency[188][5], frequency[189][0], frequency[189][1], frequency[191][3], frequency[192][2], frequency[192][6], frequency[194][1], frequency[196][2], frequency[196][3], frequency[196][8], frequency[22][2], frequency[28][5], frequency[59][3], frequency[64][1], frequency[65][6], frequency[73][3], frequency[86][5], frequency[141][8], frequency[146][5], frequency[170][5] ] 

#-ee words
freq_ee_end=[ frequency[22][7], frequency[30][1], frequency[51][3], frequency[55][4], frequency[55][8], frequency[60][7], frequency[61][0], frequency[62][5], frequency[63][1], frequency[72][9], frequency[74][3], frequency[81][1], frequency[99][4], frequency[101][7], frequency[112][8], frequency[117][0], frequency[172][8], frequency[181][9], frequency[184][7], frequency[15][0], frequency[15][9], frequency[24][2], frequency[31][0], frequency[32][4], frequency[52][4], frequency[58][8], frequency[63][6], frequency[71][6], frequency[77][0], frequency[84][0], frequency[91][6], frequency[94][3], frequency[95][2], frequency[95][3], frequency[95][4], frequency[102][2], frequency[112][5], frequency[115][1], frequency[116][4], frequency[123][0], frequency[124][0], frequency[124][2], frequency[124][3], frequency[132][3], frequency[136][2], frequency[136][7], frequency[138][1], frequency[140][2], frequency[143][0], frequency[163][0], frequency[175][8], frequency[184][2], frequency[187][0], frequency[191][5],  frequency[199][9] ]

#-ay words
freq_ay_end=[ frequency[0][1], frequency[0][7], frequency[1][2], frequency[1][7], frequency[3][3], frequency[4][3], frequency[5][9], frequency[8][6], frequency[15][3], frequency[16][2], frequency[20][4], frequency[23][7], frequency[25][5], frequency[25][7], frequency[27][0], frequency[32][7], frequency[32][8], frequency[33][8], frequency[38][0], frequency[39][7], frequency[39][8], frequency[40][1], frequency[41][1], frequency[42][0], frequency[42][2], frequency[43][1], frequency[49][4], frequency[50][1], frequency[53][5], frequency[56][0], frequency[56][6], frequency[58][5], frequency[61][4], frequency[61][9], frequency[65][0], frequency[66][0], frequency[66][1], frequency[72][0], frequency[74][6], frequency[77][9], frequency[78][6], frequency[80][8], frequency[81][4], frequency[82][1], frequency[83][3], frequency[83][5], frequency[84][1], frequency[89][0], frequency[90][0], frequency[90][4], frequency[90][6], frequency[91][0], frequency[92][7], frequency[97][3], frequency[100][6], frequency[102][8], frequency[104][7], frequency[107][3], frequency[108][6], frequency[108][7], frequency[109][0], frequency[110][2], frequency[111][1], frequency[111][9], frequency[113][7], frequency[114][0], frequency[119][1], frequency[120][2], frequency[122][0], frequency[127][5], frequency[128][9], frequency[134][0], frequency[134][7], frequency[135][4], frequency[136][0], frequency[136][5], frequency[138][2], frequency[139][0], frequency[139][6], frequency[140][6], frequency[142][2], frequency[143][1], frequency[148][6], frequency[149][2], frequency[149][9], frequency[150][3], frequency[150][4], frequency[150][6], frequency[151][8], frequency[152][2], frequency[154][3], frequency[154][3], frequency[156][8], frequency[157][5], frequency[158][4], frequency[161][0], frequency[166][1], frequency[167][6], frequency[168][4], frequency[172][6], frequency[174][0], frequency[180][3], frequency[186][7], frequency[187][2], frequency[195][9], frequency[196][4], frequency[197][1], frequency[197][2], frequency[199][4], frequency [18][9] ]
#108 instances of -ay

#-oo words
freq_oo_end=[ frequency[51][0], frequency[62][0], frequency[62][8], frequency[63][5], frequency[161][8], frequency[18][1], frequency[21][4], frequency[26][8], frequency[57][4], frequency[67][0], frequency[88][3], frequency[108][5], frequency[110][6], frequency[129][6], frequency[133][4], frequency[136][3], frequency[136][9], frequency[143][6], frequency[160][3], frequency[166][2], frequency[18][9], frequency[71][8], frequency[95][6], frequency[105][7], frequency[107][1], frequency[107][6], frequency[141][9], frequency[160][0], frequency[169][3], frequency[5][5], frequency[6][0], frequency[8][2], frequency[13][6], frequency[15][2], frequency[17][2], frequency[27][1], frequency[30][4], frequency[30][8], frequency[31][1], frequency[34][5], frequency[38][4], frequency[40][9], frequency[41][8], frequency[42][1], frequency[45][5], frequency[54][3], frequency[59][9], frequency[61][3], frequency[63][7], frequency[64][0], frequency[66][2], frequency[67][3], frequency[67][5], frequency[69][3], frequency[69][8], frequency[74][4], frequency[75][2], frequency[88][1], frequency[89][7], frequency[90][1], frequency[91][2], frequency[91][7], frequency[92][3], frequency[97][2], frequency[100][4], frequency[100][5], frequency[106][3], frequency[110][5], frequency[113][2], frequency[115][5], frequency[116][2], frequency[120][0], frequency[124][5], frequency[125][0], frequency[125][5], frequency[126][5], frequency[128][0], frequency[130][1], frequency[135][0], frequency[141][7], frequency[142][0], frequency[144][4], frequency[144][7], frequency[147][1], frequency[153][7], frequency[154][7], frequency[155][4], frequency[157][8], frequency[160][6], frequency[166][5], frequency[168][2], frequency[171][4], frequency[171][8], frequency[173][1], frequency[173][8], frequency[176][7], frequency[179][8], frequency[182][3], frequency[184][3], frequency[185][3], frequency[185][8], frequency[190][0], frequency[190][6], frequency[192][3], frequency[192][5], frequency[192][8], frequency[194][3], frequency[194][4], frequency[194][8], frequency[196][1], frequency[197][0], frequency[197][4], frequency[197][5], frequency[13][5], frequency[20][8], frequency[41][4], frequency[91][1], frequency[113][6], frequency[123][9], frequency[125][5], frequency[135][3], frequency[171][5], frequency[184][5], frequency[185][8], frequency[4][4], frequency[4][5], frequency[64][5], frequency[67][7], frequency[73][0], frequency[97][8], frequency[117][3], frequency[140][7], frequency[141][1] ]

#-ie words
freq_ie_end=[ frequency[27][5], frequency[43][4], frequency[113][4], frequency[131][6], frequency[155][8], frequency[19][0], frequency[29][4], frequency[34][7], frequency[54][0], frequency[66][4], frequency[69][5], frequency[73][6], frequency[92][6], frequency[108][4], frequency[120][9], frequency[153][6], frequency[170][3], frequency[178][5], frequency[3][8], frequency[4][1], frequency[24][8], frequency[30][5], frequency[34][3], frequency[37][0], frequency[45][8], frequency[49][7], frequency[59][7], frequency[77][4], frequency[103][5], frequency[115][8], frequency[122][2], frequency[130][6], frequency[156][5], frequency[164][1], frequency[172][1], frequency[189][7], frequency[199][0] ]

#-ound words
freq_ound_end=[ frequency[7][8], frequency[19][1], frequency[24][6], frequency[31][5], frequency[41][0], frequency[52][8], frequency[56][7], frequency[67][4], frequency[81][3], frequency[81][5], frequency[92][1], frequency[96][6], frequency[103][6], frequency[108][2], frequency[124][9], frequency[143][5], frequency[146][8], frequency[152][7], frequency[154][8], frequency[158][3], frequency[161][5], frequency[162][3], frequency[167][7], frequency[178][3], frequency[188][7], frequency[191][0], frequency[197][7] ]

#-ere words
freq_ere_end=[ frequency[1][6], frequency[6][9], frequency[12][6], frequency[33][4], frequency[52][0], frequency[56][1], frequency[59][1], frequency[59][2], frequency[69][9], frequency[79][9], frequency[82][9], frequency[85][6], frequency[87][1], frequency[98][8], frequency[98][9], frequency[99][0], frequency[102][4], frequency[105][2], frequency[110][1], frequency[113][9], frequency[119][6], frequency[121][4], frequency[122][8], frequency[129][3], frequency[132][8], frequency[135][1], frequency[145][4], frequency[147][3], frequency[156][1], frequency[162][8], frequency[163][3], frequency[169][5], frequency[171][2], frequency[173][7], frequency[183][1], frequency[183][5], frequency[183][9], frequency[184][0], frequency[184][8], frequency[185][5], frequency[186][3], frequency[187][7], frequency[187][8] ]

#-ell words
freq_ell_end=[ frequency[1][3], frequency[22][3], frequency[65][5], frequency[82][3], frequency[82][5], frequency[82][7], frequency[84][7], frequency[85][3], frequency[86][3], frequency[97][5], frequency[99][3], frequency[125][6], frequency[129][8], frequency[143][7], frequency[144][0], frequency[149][6], frequency[150][8], frequency[183][6], frequency[193][3], frequency[196][5], frequency[198][9] ]

#-an words
freq_an_end=[ frequency[7][7], frequency[10][2], frequency[21][1], frequency[21][2], frequency[21][8], frequency[28][2], frequency[38][1], frequency[38][5], frequency[38][7], frequency[62][2], frequency[62][9], frequency[70][9], frequency[71][5], frequency[76][6], frequency[89][4], frequency[96][3], frequency[105][9], frequency[108][0], frequency[121][8], frequency[121][8], frequency[134][1], frequency[140][0], frequency[184][9], frequency[189][2], frequency[191][1], frequency[191][6], frequency[193][7], frequency[195][2] ]

#-and words
freq_and_end=[ frequency[2][6], frequency[2][7], frequency[11][6], frequency[13][3], frequency[13][8],frequency[18][6], frequency[21][7], frequency[23][1], frequency[23][9], frequency[24][5],frequency[25][2], frequency[26][3], frequency[30][2], frequency[34][8], frequency[44][3], frequency[54][1], frequency[57][8], frequency[69][4], frequency[76][5], frequency[78][3],frequency[79][5], frequency[80][0], frequency[82][0], frequency[96][1], frequency[107][9],frequency[111][2], frequency[118][6], frequency[128][8], frequency[140][1], frequency[144][3], frequency[146][9], frequency[149][3], frequency[180][1], frequency[183][2], frequency[185][1], frequency[188][6], frequency[198][5], frequency[198][3] ]


#-all words
freq_all_end=[ frequency[17][0], frequency[25][04], frequency[40][8], frequency[58][4], frequency[64][8], frequency[70][4], frequency[82][8], frequency[83][7], frequency[85][2], frequency[103][1], frequency[104][4], frequency[110][3], frequency[113][1], frequency[114][9], frequency[116][1], frequency[120][3], frequency[120][5], frequency[121][5], frequency[121][9], frequency[152][8], frequency[154][1], frequency[178][4], frequency[179][1], frequency[190][2], frequency[191][4], frequency[191][7], frequency[14][6], frequency[44][1], frequency[48][4], frequency[51][6], frequency[64][3], frequency[74][2], frequency[84][8], frequency[87][0], frequency[98][4], frequency[101][2], frequency[121][7], frequency[122][1], frequency[132][2], frequency[158][8], frequency[160][8], frequency[161][4], frequency[171][1], frequency[180][2], frequency[181][4], frequency[186][2], frequency[193][6] ] 
# includes 'animal'

#-oe words
freq_oe_end=[ frequency[32][3], frequency[50][7], frequency[76][0], frequency[79][8], frequency[103][4], frequency[117][5], frequency[120][1], frequency[123][5], frequency[126][3], frequency[126][9], frequency[130][2], frequency[140][8], frequency[140][3], frequency[154][4], frequency[156][3], frequency[156][4], frequency[158][9], frequency[162][9], frequency[169][0], frequency[171][6], frequency[174][5], frequency[195][5], frequency[25][8], frequency[79][7], frequency[87][5], frequency[178][1], frequency[178][6], frequency[30][7], frequency[35][0], frequency[55][5], frequency[60][3], frequency[61][1], frequency[64][7], frequency[70][0], frequency[73][8], frequency[85][0], frequency[88][6], frequency[90][3], frequency[99][5], frequency[99][7], frequency[104][0], frequency[116][3], frequency[119][3], frequency[129][4], frequency[152][0], frequency[181][5], frequency[190][8], frequency[190][9], frequency[195][4] ]

# Array of the above rhyming lines, by rhyme sound.
rhymes=[ freq_er_end, freq_ee_end, freq_ay_end, freq_oo_end, freq_ie_end, freq_ere_end, freq_ound_end, freq_ell_end, freq_an_end, freq_and_end, freq_all_end, freq_oe_end  ]

# Proc to print rhyme table
# When this proc is called, it will print all of the rhyme lines. This was used to check that the rhymes work.

rhyme_table = Proc.new do
puts "RHYME TABLE"
puts
puts "--er words"
puts '---------'
puts freq_er_end
puts '---------'
puts
puts "--ee words"
puts '---------'
puts freq_ee_end
puts
puts "-#-ay words"
puts '---------'
puts freq_ay_end
puts
puts "--oo words"
puts '---------'
puts freq_oo_end
puts
puts "--ie words"
puts '---------'
puts freq_ie_end
puts
puts "--ere words"
puts '---------'
puts freq_ere_end
puts '---------'
puts
puts "--ound words"
puts '---------'
puts freq_ound_end
puts
puts "--ell words"
puts '---------'
puts freq_ell_end
puts
puts "--an words"
puts '---------'
puts freq_an_end
puts
puts "--and words"
puts '---------'
puts freq_and_end
puts
puts "--all words"
puts '---------'
puts freq_all_end
puts
puts "--oe words"
puts '---------'
puts freq_oe_end
puts
end

# This next bit of really inefficient code is used to assign end-word sounds in order to set up a rhyme scheme.
xa = rand(12)
	   if xa == 0
	    A = rhymes[0]
	  	elsif
	  	xa == 1
	 	A = rhymes[1]
	    elsif
	    xa == 2
	    A = rhymes[2]
	  	elsif
	  	xa == 3
	  	A = rhymes[3]
	  	elsif
	  	xa == 4
	  	A = rhymes[4]
	  	elsif 
	  	xa == 5
	  	A = rhymes[5]
	  	elsif
	  	xa == 6
	  	A = rhymes[6]
	  	elsif
	  	xa == 7
	  	A = rhymes[7]
	  	elsif
	  	xa == 8
	  	A = rhymes[8]
	  	elsif
	  	xa == 9
	  	A = rhymes[9]
	  	elsif
	  	xa == 10
	  	A = rhymes[10]
	  	else
	  	A = rhymes[11]
	  end
	  	
	  	 
xb = rand(12)
  while xb == xa
  	xb = rand(12)
  	end
	  if xb == 0
	    B = rhymes[0]
	  	elsif
	  	xb == 1
	 	B = rhymes[1]
	    elsif
	    xb == 2
	    B = rhymes[2]
	  	elsif
	  	xb == 3
	  	B = rhymes[3]
	  	elsif
	  	xb == 4
	  	B = rhymes[4]
	  	elsif 
	  	xb == 5
	  	B = rhymes[5]
	  	elsif
	  	xb == 6
	  	B = rhymes[6]
	  	elsif
	  	xb == 7
	  	B = rhymes[7]
	  	elsif
	  	xb == 8
	  	B = rhymes[8]
	  	elsif
	  	xb == 9
	  	B = rhymes[9]
	  	elsif
	  	xb == 10
	  	B = rhymes[10]
	  	else
	  	B = rhymes[11]
	  end
	  
xc = rand(12)
  while xc == xa  
  	xc = rand(12)
  while xc == xb  
  	xc = rand(12)
  	end
  	end
	  if xc == 0
	    C = rhymes[0]
	  	elsif
	  	xc == 1
	 	C = rhymes[1]
	    elsif
	    xc == 2
	    C = rhymes[2]
	  	elsif
	  	xc == 3
	  	C = rhymes[3]
	  	elsif
	  	xc == 4
	  	C = rhymes[4]
	  	elsif 
	  	xc == 5
	  	C = rhymes[5]
	  	elsif
	  	xc == 6
	  	C = rhymes[6]
	  	elsif
	  	xc == 7
	  	C = rhymes[7]
	  	elsif
	  	xc == 8
	  	C = rhymes[8]
	  	elsif
	  	xc == 9
	  	C = rhymes[9]
	  	elsif
	  	xb == 10
	  	C = rhymes[10]
	  	else
	  	C = rhymes[11]
	  end
	  
xd = rand(12)
  while xd == xa
  	xd = rand(12)
  while xd == xb
  	xd = rand(12)
  while xd == xc
  	xd = rand(12)
  	end
  	end
  	end
	  if xd == 0
	    D = rhymes[0]
	  	elsif
	  	xd == 1
	 	D = rhymes[1]
	    elsif
	    xd == 2
	    D = rhymes[2]
	  	elsif
	  	xd == 3
	  	D = rhymes[3]
	  	elsif
	  	xd == 4
	  	D = rhymes[4]
	  	elsif 
	  	xd == 5
	  	D = rhymes[5]
	  	elsif
	  	xd == 6
	  	D = rhymes[6]
	  	elsif
	  	xd == 7
	  	D = rhymes[7]
	  	elsif
	  	xd == 8
	  	D = rhymes[8]
	  	elsif
	  	xd == 9
	  	D = rhymes[9]
	  	elsif
	  	xd == 10
	  	D = rhymes[10]
	  	else
	  	D = rhymes[11]
	  end
	  
xe = rand(12)
  while xe == xa
  	xe = rand(12)
  while xe == xb
  	xe = rand(12)
  while xe == xc
  	xe = rand(12)
  while xe == xd
  	xe = rand(12)
  	end
  	end
  	end
  	end
	  if xe == 0
	    E = rhymes[0]
	  	elsif
	  	xe == 1
	 	E = rhymes[1]
	    elsif
	    xe == 2
	    E = rhymes[2]
	  	elsif
	  	xe == 3
	  	E = rhymes[3]
	  	elsif
	  	xe == 4
	  	E = rhymes[4]
	  	elsif 
	  	xe == 5
	  	E = rhymes[5]
	  	elsif
	  	xe == 6
	  	E = rhymes[6]
	  	elsif
	  	xe == 7
	  	E = rhymes[7]
	  	elsif
	  	xe == 8
	  	E = rhymes[8]
	  	elsif
	  	xe == 9
	  	E = rhymes[9]
	  	elsif
	  	xe == 10
	  	E = rhymes[10]
	  	else
	  	E = rhymes[11]
	  end
	  
xf = rand(12)
  while xf == xa
  	xf = rand(12)
  while xf == xb
  	xf = rand(12)
  while xf == xc
  	xf = rand(12)
  while xf == xd
  	xf = rand(12)
  while xf == xe
  	xf = rand(12)
  	end
  	end
  	end
  	end
  	end
	  if xf == 0
	    F = rhymes[0]
	  	elsif
	  	xf == 1
	 	F = rhymes[1]
	    elsif
	    xf == 2
	    F = rhymes[2]
	  	elsif
	  	xf == 3
	  	F = rhymes[3]
	  	elsif
	  	xf == 4
	  	F = rhymes[4]
	  	elsif 
	  	xf == 5
	  	F = rhymes[5]
	  	elsif
	  	xf == 6
	  	F = rhymes[6]
	  	elsif
	  	xf == 7
	  	F = rhymes[7]
	  	elsif
	  	xf == 8
	  	F = rhymes[8]
	  	elsif
	  	xf == 9
	  	F = rhymes[9]
	  	elsif
	  	xf == 10
	  	F = rhymes[10]
	  	else
	  	F = rhymes[11]
	  end
	  
xg = rand(12)
  while xg == xa
  	xg = rand(12)
  while xg == xb
  	xg = rand(12)
  while xg == xc
  	xg = rand(12)
  while xg == xd
  	xg = rand(12)
  while xg == xe
  	xg = rand(12)
  while xg == xf
  	xg = rand(12)
  	end
  	end
  	end
  	end
  	end
  	end
	  if xg == 0
	    G = rhymes[0]
	  	elsif
	  	xg == 1
	 	G = rhymes[1]
	    elsif
	    xg == 2
	    G = rhymes[2]
	  	elsif
	  	xg == 3
	  	G = rhymes[3]
	  	elsif
	  	xg == 4
	  	G = rhymes[4]
	  	elsif 
	  	xg == 5
	  	G = rhymes[5]
	  	elsif
	  	xg == 6
	  	G = rhymes[6]
	  	elsif
	  	xg == 7
	  	G = rhymes[7]
	  	elsif
	  	xg == 8
	  	G = rhymes[8]
	  	elsif
	  	xg == 9
	  	G = rhymes[9]
	  	elsif
	  	xg == 10
	  	G = rhymes[10]
	  	else
	  	G = rhymes[11]
	  end

# The below procs use rhyme scheme logic to produce formal poems in classic formats.
# Note that the sonnets work only on rhyme, not for iambic pentameter or other meter.
	  	 
shakespearian = Proc.new do	
puts '--------------------------------------'
puts frequency[rand(200)][rand(10)].upcase
puts
puts A[rand(A.length)]
puts ' ' + B[rand(B.length)]
puts ' ' + B[rand(B.length)]
puts ' ' + A[rand(A.length)]
puts C[rand(C.length)]
puts ' ' + D[rand(D.length)]
puts ' ' + D[rand(D.length)]
puts ' ' + C[rand(C.length)]
puts E[rand(E.length)]
puts ' ' + F[rand(F.length)]
puts ' ' + F[rand(F.length)]
puts ' ' + E[rand(E.length)]
puts G[rand(G.length)]
puts G[rand(G.length)]
puts '--------------------------------------'
end

petrarchan = Proc.new do	
puts '--------------------------------------'
puts frequency[rand(200)][rand(10)].upcase
puts
puts A[rand(A.length)]
puts ' ' + B[rand(B.length)]
puts ' ' + B[rand(B.length)]
puts ' ' + A[rand(A.length)]
puts A[rand(A.length)]
puts ' ' + B[rand(B.length)]
puts ' ' + B[rand(B.length)]
puts ' ' + A[rand(A.length)]
puts C[rand(C.length)]
puts ' ' + D[rand(D.length)]
puts ' ' + E[rand(E.length)]
puts C[rand(C.length)]
puts ' ' + D[rand(D.length)]
puts ' ' + E[rand(E.length)]
puts '--------------------------------------'
end

spenserian = Proc.new do	
puts '--------------------------------------'
puts frequency[rand(200)][rand(10)].upcase
puts
puts A[rand(A.length)]
puts B[rand(B.length)]
puts A[rand(A.length)]
puts B[rand(B.length)]
puts B[rand(B.length)]
puts C[rand(C.length)]
puts B[rand(B.length)]
puts C[rand(C.length)]
puts C[rand(C.length)]
puts D[rand(D.length)]
puts C[rand(C.length)]
puts D[rand(D.length)]
puts ' ' + E[rand(E.length)]
puts ' ' + E[rand(E.length)]
puts '--------------------------------------'
end

terza_rima = Proc.new do	
puts '--------------------------------------'
puts frequency[rand(200)][rand(10)].upcase
puts
puts A[rand(A.length)]
puts B[rand(B.length)]
puts A[rand(A.length)]
puts
puts B[rand(B.length)]
puts C[rand(C.length)]
puts B[rand(B.length)]
puts
puts C[rand(C.length)]
puts D[rand(D.length)]
puts C[rand(C.length)]
puts
puts D[rand(D.length)]
puts E[rand(E.length)]
puts D[rand(D.length)]
puts '--------------------------------------'
end

# Note: after I had composed the rhyming part of the generator I became more interested in more mathematically-based forms.
# The next part of the program is used to count syllables, words, and characters in the lines.

# The following arrays are used to indicate how many syllables words used within the poem have. Default is one syllable.

# Array of words with two syllables
two_syll=[ 'other', 'about', 'many', 'into', 'number', 'people', 'water', 'little', 'very', 'over', 'after', 'sentence', 'before', 'follow', 'around', 'because', 'picture', 'away', 'letter', 'mother', 'answer', 'study' ]

# Array of words with three syllables
three_syll=[ 'another', 'different', 'animal' ] 

# Array of words with four syllables
four_syll=[ 'America' ]

# This is to count the number of words in a line.
# Define word count method
class String
  def count_words
    n = 0
    scan(/\b\S+\b/) { n += 1}
    n
  end 
end

# Establish arrays of lines by syllable count
two_syll_line=[]
three_syll_line=[]
four_syll_line=[]
five_syll_line=[]
six_syll_line=[]
seven_syll_line=[]
eight_syll_line=[]
nine_syll_line=[]
ten_syll_line=[]
eleven_syll_line=[]
twelve_syll_line=[]
thirteen_syll_line=[]

# Establish arrays of lines by word count
two_word_line=[]
three_word_line=[]
four_word_line=[]
five_word_line=[]
six_word_line=[]
seven_word_line=[]
eight_word_line=[]
nine_word_line=[]
ten_word_line=[]
eleven_word_line=[]
twelve_word_line=[]
thirteen_word_line=[]

# Establish arrays of lines by string length
six_c_line=[]
seven_c_line=[]
eight_c_line=[]
nine_c_line=[]
ten_c_line=[]
eleven_c_line=[]
twelve_c_line=[]
thirteen_c_line=[]
fourteen_c_line=[]
fifteen_c_line=[]
sixteen_c_line=[]
seventeen_c_line=[]
eighteen_c_line=[]
nineteen_c_line=[]
twenty_c_line=[]
twentyone_c_line=[]
twentytwo_c_line=[]
twentythree_c_line=[]
twentyfour_c_line=[]
twentyfive_c_line=[]
twentysix_c_line=[]
twentyseven_c_line=[]
twentyeight_c_line=[]
twentynine_c_line=[]
thirty_c_line=[]
thirtyone_c_line=[]
thirtytwo_c_line=[]
thirtythree_c_line=[]
thirtyfour_c_line=[]
thirtyfive_c_line=[]
thirtysix_c_line=[]
thirtyseven_c_line=[]
thirtyeight_c_line=[]
thirtynine_c_line=[]
forty_c_line=[]
fortyone_c_line=[]
fortytwo_c_line=[]
fortythree_c_line=[]
fortyfour_c_line=[]
fortyfive_c_line=[]
fortysix_c_line=[]
fortyseven_c_line=[]
fortyeight_c_line=[]
fortynine_c_line=[]
fifty_c_line=[]
fiftyone_c_line=[]
fiftytwo_c_line=[]


# Routine to count words and assign to arrays
x = 0
while x != 200
	y = 0
	while y != 10
		frequency[x][y].each_line do |verse|
			word_count = verse.to_s.count_words
			verse_array = verse.split
			if word_count == 2
			 two_word_line.push(verse)
			elsif word_count == 3
			 three_word_line.push(verse)
			elsif word_count == 4
			 four_word_line.push(verse)
			elsif word_count == 5
			 five_word_line.push(verse)
			elsif word_count == 6
			 six_word_line.push(verse)
			elsif word_count == 7
			 seven_word_line.push(verse)
			elsif word_count == 8
			 eight_word_line.push(verse)
			elsif word_count == 9
			 nine_word_line.push(verse)
			elsif word_count == 10
			 ten_word_line.push(verse)
			elsif word_count == 11
			 eleven_word_line.push(verse)
			elsif word_count == 12
			 twelve_word_line.push(verse)
			end
			y = (y +1)
		end
	end
	x = (x + 1)
end

# Routine to count string length by number of characters and assign to arrays
x = 0
while x != 200
	y = 0
	while y != 10
		frequency[x][y].each_line do |verse|
			z = verse.length
			if z == 6
			 six_c_line.push(verse)
			elsif z == 7
			 seven_c_line.push(verse)
			elsif z == 8
			 eight_c_line.push(verse)
			elsif z == 9
			 nine_c_line.push(verse)
			elsif z == 10
			 ten_c_line.push(verse)
			elsif z == 11
			 eleven_c_line.push(verse)
			elsif z == 12
			 twelve_c_line.push(verse)
			elsif z == 13
			 thirteen_c_line.push(verse)
			elsif z == 14
			 fourteen_c_line.push(verse)
			elsif z == 15
			 fifteen_c_line.push(verse)
			elsif z == 16
			 sixteen_c_line.push(verse)
			elsif z == 17
			 seventeen_c_line.push(verse)
			elsif z == 18
			 eighteen_c_line.push(verse)
			elsif z == 19
			 nineteen_c_line.push(verse)
			elsif z == 20
			 twenty_c_line.push(verse)
			elsif z == 21
			 twentyone_c_line.push(verse)
			elsif z == 22
			 twentytwo_c_line.push(verse)
			elsif z == 23
			 twentythree_c_line.push(verse)
			elsif z == 24
			 twentyfour_c_line.push(verse)
			elsif z == 25
			 twentyfive_c_line.push(verse)
			elsif z == 26
			 twentysix_c_line.push(verse)
			elsif z == 27
			 twentyseven_c_line.push(verse)
			elsif z == 28
			 twentyeight_c_line.push(verse)
			elsif z == 29
			 twentynine_c_line.push(verse)
			elsif z == 30
			 thirty_c_line.push(verse)
			elsif z == 31
			 thirtyone_c_line.push(verse)
			elsif z == 32
			 thirtytwo_c_line.push(verse)
			elsif z == 33
			 thirtythree_c_line.push(verse)
			elsif z == 34
			 thirtyfour_c_line.push(verse)
			elsif z == 35
			 thirtyfive_c_line.push(verse)
			elsif z == 36
			 thirtysix_c_line.push(verse)
			elsif z == 37
			 thirtyseven_c_line.push(verse)
			elsif z == 38
			 thirtyeight_c_line.push(verse)
			elsif z == 39
			 thirtynine_c_line.push(verse)
			elsif z == 40
			 forty_c_line.push(verse)
			elsif z == 41
			 fortyone_c_line.push(verse)
			elsif z == 42
			 fortytwo_c_line.push(verse)
			elsif z == 43
			 fortythree_c_line.push(verse)
			elsif z == 44
			 fortyfour_c_line.push(verse)
			elsif z == 45
			 fortyfive_c_line.push(verse)
			elsif z == 46
			 fortysix_c_line.push(verse)
			elsif z == 47
			 fortyseven_c_line.push(verse)
			elsif z == 48
			 fortyeight_c_line.push(verse)
			elsif z == 49
			 fortynine_c_line.push(verse)
			elsif z == 50
			 fifty_c_line.push(verse)
			elsif z == 51
			 fiftyone_c_line.push(verse)
			elsif z == 52
			 fiftytwo_c_line.push(verse)
			end
			y = (y +1)
		end
	end
	x = (x + 1)
end

# Routine to count syllables and assign to arrays
x = 0
while x != 200
	y = 0
	while y != 10
		frequency[x][y].each_line do |verse|
			syll_count = verse.to_s.count_words
			verse_array = verse.split
				g = 0
				while g != 22
					if verse_array.include?(two_syll[g].to_s)
					syll_count = (syll_count + 1)
					end
				g = (g +1)	
				end
				h = 0
				while h != 3
					if verse_array.include?(three_syll[h].to_s)
					syll_count = (syll_count + 2)
					end
				h = (h +1)
				end
				if verse_array.include?(four_syll[0].to_s)
				syll_count = (syll_count + 3)
				end
			if syll_count == 2
			 two_syll_line.push(verse)
			elsif syll_count == 3
			 three_syll_line.push(verse)
			elsif syll_count == 4
			 four_syll_line.push(verse)
			elsif syll_count == 5
			 five_syll_line.push(verse)
			elsif syll_count == 6
			 six_syll_line.push(verse)
			elsif syll_count == 7
			 seven_syll_line.push(verse)
			elsif syll_count == 8
			 eight_syll_line.push(verse)
			elsif syll_count == 9
			 nine_syll_line.push(verse)
			elsif syll_count == 10
			 ten_syll_line.push(verse)
			elsif syll_count == 11
			 eleven_syll_line.push(verse)
			elsif syll_count == 12
			 twelve_syll_line.push(verse)
			else
			 thirteen_syll_line.push(verse)
			end
			y = (y +1)
		end
	end
	x = (x + 1)
end

# Proc to print lines in order of syllable count
# This was used to check that the syllable count routine works.
# Note that this is one of a number of utilities built into the program that are not essential the the generator itself.
# I used these to check the work as I was doing it.

lines_syllables = Proc.new do	
	puts 'LINES BY SYLLABLE COUNT'
	puts
	puts '2 SYLLABLE LINES'
	puts two_syll_line
	puts
	puts '3 SYLLABLE LINES'
	puts three_syll_line
	puts
	puts '4 SYLLABLE LINES'
	puts four_syll_line
	puts
	puts '5 SYLLABLE LINES'
	puts five_syll_line
	puts
	puts '6 SYLLABLE LINES'
	puts six_syll_line
	puts
	puts '7 SYLLABLE LINES'	
	puts seven_syll_line
	puts
	puts '8 SYLLABLE LINES'
	puts eight_syll_line
	puts
	puts '9 SYLLABLE LINES'
	puts nine_syll_line
	puts
	puts '10 SYLLABLE LINES'
	puts ten_syll_line
	puts
	puts '11 SYLLABLE LINES'
	puts eleven_syll_line
	puts
	puts '12 SYLLABLE LINES'
	puts twelve_syll_line
	puts
	puts '13 SYLLABLE LINES'
	puts thirteen_syll_line
	puts
end

# Proc to print lines in order of word count
# This was used to check that the word count routine works.

lines_wordcount = Proc.new do	
	puts 'LINES BY WORD COUNT'
	puts
	puts '2 WORD LINES'
	puts two_word_line
	puts
	puts '3 WORD LINES'
	puts three_word_line
	puts
	puts '4 WORD LINES'
	puts four_word_line
	puts
	puts '5 WORD LINES'
	puts five_word_line
	puts
	puts '6 WORD LINES'
	puts six_word_line
	puts
	puts '7 WORD LINES'	
	puts seven_word_line
	puts
	puts '8 WORD LINES'
	puts eight_word_line
	puts
	puts '9 WORD LINES'
	puts nine_word_line
	puts
	puts '10 WORD LINES'
	puts ten_word_line
	puts
	puts '11 WORD LINES'
	puts eleven_word_line
	puts
	puts '12 WORD LINES'
	puts twelve_word_line
	puts	
end

# Proc to print lines in order of character count
# This was used to check that the character count routine works.


lines_charcount = Proc.new do	
	puts 'LINES BY CHARACTER COUNT'
	puts
	puts '6 CHARACTER LINES'
	puts six_c_line
	puts
	puts '7 CHARACTER LINES'
	puts seven_c_line
	puts
	puts '8 CHARACTER LINE'
	puts eight_c_line
	puts
	puts '9 CHARACTER LINE'
	puts nine_c_line
	puts
	puts '10 CHARACTER LINE'
	puts ten_c_line
	puts
	puts '11 CHARACTER LINE'
	puts eleven_c_line
	puts
	puts '12 CHARACTER LINE'
	puts twelve_c_line
	puts
	puts '13 CHARACTER LINE'
	puts thirteen_c_line
	puts
	puts '14 CHARACTER LINE'
	puts fourteen_c_line
	puts
	puts '15 CHARACTER LINE'
	puts fifteen_c_line
	puts
	puts '16 CHARACTER LINE'
	puts sixteen_c_line
	puts
	puts '17 CHARACTER LINE'
	puts seventeen_c_line
	puts
	puts '18 CHARACTER LINE'
	puts eighteen_c_line
	puts
	puts '19 CHARACTER LINE'
	puts nineteen_c_line
	puts
	puts '20 CHARACTER LINE'
	puts twenty_c_line
	puts
	puts '21 CHARACTER LINE'
	puts twentyone_c_line
	puts
	puts '22 CHARACTER LINE'
	puts twentytwo_c_line
	puts
	puts '23 CHARACTER LINE'
	puts twentythree_c_line
	puts
	puts '24 CHARACTER LINE'
	puts twentyfour_c_line
	puts
	puts '25 CHARACTER LINE'
	puts twentyfive_c_line
	puts
	puts '26 CHARACTER LINE'
	puts twentysix_c_line
	puts
	puts '27 CHARACTER LINE'
	puts twentyseven_c_line
	puts
	puts '28 CHARACTER LINE'
	puts twentyeight_c_line
	puts
	puts '29 CHARACTER LINE'
	puts twentynine_c_line
	puts
	puts '30 CHARACTER LINE'
	puts thirty_c_line
	puts
	puts '31 CHARACTER LINE'
	puts thirtyone_c_line
	puts
	puts '32 CHARACTER LINE'
	puts thirtytwo_c_line
	puts
	puts '33 CHARACTER LINE'
	puts thirtythree_c_line
	puts
	puts '34 CHARACTER LINE'
	puts thirtyfour_c_line
	puts
	puts '35 CHARACTER LINE'
	puts thirtyfive_c_line
	puts
	puts '36 CHARACTER LINE'
	puts thirtysix_c_line
	puts
	puts '37 CHARACTER LINE'
	puts thirtyseven_c_line
	puts
	puts '38 CHARACTER LINE'
	puts thirtyeight_c_line
	puts
	puts '39 CHARACTER LINE'
	puts thirtynine_c_line
	puts
	puts '40 CHARACTER LINE'
	puts forty_c_line
	puts
	puts '41 CHARACTER LINE'
	puts fortyone_c_line
	puts
	puts '42 CHARACTER LINE'
	puts fortytwo_c_line
	puts
	puts '43 CHARACTER LINE'
	puts fortythree_c_line
	puts
	puts '44 CHARACTER LINE'
	puts fortyfour_c_line
	puts
	puts '45 CHARACTER LINE'
	puts fortyfive_c_line
	puts
	puts '46 CHARACTER LINE'
	puts fortysix_c_line
	puts
	puts '47 CHARACTER LINE'
	puts fortyseven_c_line
	puts
	puts '48 CHARACTER LINE'
	puts fortyeight_c_line
	puts
	puts '49 CHARACTER LINE'
	puts fortynine_c_line
	puts
	puts '50 CHARACTER LINE'
	puts fifty_c_line
	puts
	puts '51 CHARACTER LINE'
	puts fiftyone_c_line
	puts
	puts '52 CHARACTER LINE'
	puts fiftytwo_c_line
end


# Proc to print word count of all lines by line number
# Another utility similar to above but displaying by line number rather than group.

wordcount = Proc.new do	
	x = 0
	while x != 200
		y = 0
			while y != 10
				frequency[x][y].each_line do |verse|
				puts verse.to_s.count_words.to_s + ' words in line '  + x.to_s + ': ' + y.to_s
				puts '<' + verse.to_s + '>'
				puts
				y = (y +1)
				end
			end
		x = (x + 1)
	end
end

# Proc to print syllable count of all lines by line number
syllable_count = Proc.new do	
x = 0
while x != 200
	y = 0
	while y != 10
		frequency[x][y].each_line do |verse|
			syll_count = verse.to_s.count_words
			verse_array = verse.split
				g = 0
				while g != 22
					if verse_array.include?(two_syll[g].to_s)
					syll_count = (syll_count + 1)
					end
				g = (g +1)	
				end
				h = 0
				while h != 3
					if verse_array.include?(two_syll[h].to_s)
					syll_count = (syll_count + 1)
					end
				h = (h +1)
				end
				if verse_array.include?(four_syll[0].to_s)
				syll_count = (syll_count + 3)
				end
			puts syll_count.to_s + ' syllables in line '  + x.to_s + ': ' + y.to_s
			puts '<' + verse.to_s + '>'
			puts
			y = (y +1)
		end
	end
x = (x + 1)
end
end

# This is where the work of establishing syllable, word, and character counts pays off.
# Now the program can use this information to write specific forms based on it.

# The following are forms based on syllable count.

# Proc to write Doubling
# Form with 2, 4, 8, 8, 4, 2 syllable lines
doubling = Proc.new do	
puts '--------------------------------------'
puts frequency[rand(200)][rand(10)].upcase
puts
puts two_syll_line[rand(two_syll_line.length)]
puts four_syll_line[rand(four_syll_line.length)]
puts eight_syll_line[rand(eight_syll_line.length)]
puts eight_syll_line[rand(eight_syll_line.length)]
puts four_syll_line[rand(four_syll_line.length)]
puts two_syll_line[rand(two_syll_line.length)]
puts '--------------------------------------'
end


# Proc to write Haiku
# Form with 5, 7, 5 syllable lines
haiku = Proc.new do	
puts '--------------------------------------'
puts frequency[rand(200)][rand(10)].upcase
puts
puts five_syll_line[rand(five_syll_line.length)]
puts seven_syll_line[rand(seven_syll_line.length)]
puts five_syll_line[rand(five_syll_line.length)]
puts '--------------------------------------'
end

# Proc to write Tanka
# Form with 5, 7, 5, 7, 7 syllable lines
tanka = Proc.new do	
puts '--------------------------------------'
puts frequency[rand(200)][rand(10)].upcase
puts
puts five_syll_line[rand(five_syll_line.length)]
puts seven_syll_line[rand(seven_syll_line.length)]
puts five_syll_line[rand(five_syll_line.length)]
puts seven_syll_line[rand(seven_syll_line.length)]
puts seven_syll_line[rand(seven_syll_line.length)]
puts '--------------------------------------'
end


# Proc to write Snowball by syllable
# Form with 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12 syllable lines
snowball_syllable = Proc.new do	
puts '--------------------------------------'
puts frequency[rand(200)][rand(10)].upcase
puts
puts two_syll_line[rand(two_syll_line.length)]
puts three_syll_line[rand(three_syll_line.length)]
puts four_syll_line[rand(four_syll_line.length)]
puts five_syll_line[rand(five_syll_line.length)]
puts seven_syll_line[rand(seven_syll_line.length)]
puts eight_syll_line[rand(eight_syll_line.length)]
puts nine_syll_line[rand(nine_syll_line.length)]
puts ten_syll_line[rand(ten_syll_line.length)]
puts eleven_syll_line[rand(eleven_syll_line.length)]
puts twelve_syll_line[rand(twelve_syll_line.length)]
puts '--------------------------------------'
end

# Proc to write Snowball by word
# Form with 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12 word lines
snowball_word = Proc.new do	
puts '--------------------------------------'
puts frequency[rand(200)][rand(10)].upcase
puts
puts two_word_line[rand(two_word_line.length)]
puts three_word_line[rand(three_word_line.length)]
puts four_word_line[rand(four_word_line.length)]
puts five_word_line[rand(five_word_line.length)]
puts seven_word_line[rand(seven_word_line.length)]
puts eight_word_line[rand(eight_word_line.length)]
puts nine_word_line[rand(nine_word_line.length)]
puts ten_word_line[rand(ten_word_line.length)]
puts eleven_word_line[rand(eleven_word_line.length)]
puts twelve_word_line[rand(twelve_word_line.length)]
puts '--------------------------------------'
end


# Proc to write Snowball by character
# From with character length lines from min (6) to max (42) character length lines
snowball_character = Proc.new do	
	puts '--------------------------------------'
	puts
	puts frequency[rand(200)][rand(10)].upcase
	puts
	puts six_c_line[rand(six_c_line.length)]
	puts seven_c_line[rand(seven_c_line.length)]
	puts eight_c_line[rand(eight_c_line.length)]
	puts nine_c_line[rand(nine_c_line.length)]
	puts ten_c_line[rand(ten_c_line.length)]
	puts eleven_c_line[rand(eleven_c_line.length)]
	puts twelve_c_line[rand(twelve_c_line.length)]
	puts thirteen_c_line[rand(thirteen_c_line.length)]
	puts fourteen_c_line[rand(fourteen_c_line.length)]
	puts fifteen_c_line[rand(fifteen_c_line.length)]
	puts sixteen_c_line[rand(sixteen_c_line.length)]
	puts seventeen_c_line[rand(seventeen_c_line.length)]
	puts eighteen_c_line[rand(eighteen_c_line.length)]
	puts nineteen_c_line[rand(nineteen_c_line.length)]
	puts twenty_c_line[rand(twenty_c_line.length)]
	puts twentyone_c_line[rand(twentyone_c_line.length)]
	puts twentytwo_c_line[rand(twentytwo_c_line.length)]
	puts twentythree_c_line[rand(twentythree_c_line.length)]
	puts twentyfour_c_line[rand(twentyfour_c_line.length)]
	puts twentyfive_c_line[rand(twentyfive_c_line.length)]
	puts twentysix_c_line[rand(twentysix_c_line.length)]
	puts twentyseven_c_line[rand(twentyseven_c_line.length)]
	puts twentyeight_c_line[rand(twentyeight_c_line.length)]
	puts twentynine_c_line[rand(twentynine_c_line.length)]
	puts thirty_c_line[rand(thirty_c_line.length)]
	puts thirtyone_c_line[rand(thirtyone_c_line.length)]
	puts thirtytwo_c_line[rand(thirtytwo_c_line.length)]
	puts thirtythree_c_line[rand(thirtythree_c_line.length)]
	puts thirtyfour_c_line[rand(thirtyfour_c_line.length)]
	puts thirtyfive_c_line[rand(thirtyfive_c_line.length)]
	puts thirtysix_c_line[rand(thirtysix_c_line.length)]
	puts thirtyseven_c_line[rand(thirtyseven_c_line.length)]
	puts thirtyeight_c_line[rand(thirtyeight_c_line.length)]
	puts thirtynine_c_line[rand(thirtynine_c_line.length)]
	puts forty_c_line[rand(forty_c_line.length)]
	puts fortyone_c_line[rand(fortyone_c_line.length)]
	puts fortytwo_c_line[rand(fortytwo_c_line.length)]
	puts
	puts '--------------------------------------'
end	

# The next section uses character count and space to make concrete poem-style forms.
# This is possible because the system uses a fixed-width font.

# Proc to write a four square poem
# This produces four stanzas of four lines each with an equal number of characters in each line in the given stanza.
# It spaces the stanzas horizontally on the page with a random number of spaces (up to 24).

four_square = Proc.new do
puts '--------------------------------------'
puts
puts frequency[rand(200)][rand(10)].upcase
puts
	x = 0
	spaces = rand(24)
	while x != 4
	 y = (rand(34) + 7)
	 	if y == 7
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + seven_c_line[rand(seven_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 8
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + eight_c_line[rand(eight_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 9
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + nine_c_line[rand(nine_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 10
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + ten_c_line[rand(ten_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 11
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + eleven_c_line[rand(eleven_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 12
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + twelve_c_line[rand(twelve_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 13
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + thirteen_c_line[rand(thirteen_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 14
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + fourteen_c_line[rand(fourteen_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 15
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + fifteen_c_line[rand(fifteen_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 16
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + sixteen_c_line[rand(sixteen_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 17
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + seventeen_c_line[rand(seventeen_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 18
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + eighteen_c_line[rand(eighteen_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 19
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + nineteen_c_line[rand(nineteen_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 20
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + twenty_c_line[rand(twenty_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 21
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + twentyone_c_line[rand(twentyone_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 22
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + twentytwo_c_line[rand(twentytwo_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 23
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + twentythree_c_line[rand(twentythree_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 24
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + twentyfour_c_line[rand(twentyfour_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 25
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + twentyfive_c_line[rand(twentyfive_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 26
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + twentysix_c_line[rand(twentysix_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 27
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + twentyseven_c_line[rand(twentyseven_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 28
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + twentyeight_c_line[rand(twentyeight_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 29
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + twentynine_c_line[rand(twentynine_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 30
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + thirty_c_line[rand(thirty_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 31
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + thirtyone_c_line[rand(thirtyone_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 32
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + thirtytwo_c_line[rand(thirtytwo_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 33
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + thirtythree_c_line[rand(thirtythree_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 34
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + thirtyfour_c_line[rand(thirtyfour_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 35
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + thirtyfive_c_line[rand(thirtyfive_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 36
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + thirtysix_c_line[rand(thirtysix_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 37
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + thirtyseven_c_line[rand(thirtyseven_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 38
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + thirtyeight_c_line[rand(thirtyeight_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 39
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + thirtynine_c_line[rand(thirtynine_c_line.length)])
	 		z = (z + 1)
	 		end
	 	elsif y == 40
	 		z = 0
	 		while z !=4
	 		puts((' ' * spaces) + forty_c_line[rand(forty_c_line.length)])
	 		z = (z + 1)
	 		end
	 		end
	spaces = y/2.to_i
	puts 		
	x = (x + 1)
end
puts '--------------------------------------'
end

# Proc to write a two towers poem
# This produces two vertical rectangular arrangements of text in one of 27 possible physical configurations
# in each case the lines will include 40 total characters, separated by 8 white spaces.
two_towers = Proc.new do
puts '--------------------------------------'
puts
puts frequency[rand(200)][rand(10)].upcase.center(48)
puts
y = (rand(27) + 7)
	 	if y == 7
	 		z = 0
	 		while z !=13
	 		puts seven_c_line[rand(seven_c_line.length)] + '        ' + thirtythree_c_line[rand(thirtythree_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 8
	 		z = 0
	 		while z !=13
	 		puts eight_c_line[rand(eight_c_line.length)] + '        ' + thirtytwo_c_line[rand(thirtytwo_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 9
	 		z = 0
	 		while z !=13
	 		puts nine_c_line[rand(nine_c_line.length)]  + '        ' + thirtyone_c_line[rand(thirtyone_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 10
	 		z = 0
	 		while z !=13
	 		puts ten_c_line[rand(ten_c_line.length)] + '        ' + thirty_c_line[rand(thirty_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 11
	 		z = 0
	 		while z !=13
	 		puts eleven_c_line[rand(eleven_c_line.length)] + '        ' + twentynine_c_line[rand(twentynine_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 12
	 		z = 0
	 		while z !=13
	 		puts twelve_c_line[rand(twelve_c_line.length)] + '        ' + twentyeight_c_line[rand(twentyeight_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 13
	 		z = 0
	 		while z !=13
	 		puts thirteen_c_line[rand(thirteen_c_line.length)] + '        ' + twentyseven_c_line[rand(twentyseven_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 14
	 		z = 0
	 		while z !=13
	 		puts fourteen_c_line[rand(fourteen_c_line.length)] + '        ' + twentysix_c_line[rand(twentysix_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 15
	 		z = 0
	 		while z !=13
	 		puts fifteen_c_line[rand(fifteen_c_line.length)] + '        ' + twentyfive_c_line[rand(twentyfive_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 16
	 		z = 0
	 		while z !=13
	 		puts sixteen_c_line[rand(sixteen_c_line.length)] + '        ' + twentyfour_c_line[rand(twentyfour_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 17
	 		z = 0
	 		while z !=13
	 		puts seventeen_c_line[rand(seventeen_c_line.length)] + '        ' + twentythree_c_line[rand(twentythree_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 18
	 		z = 0
	 		while z !=13
	 		puts eighteen_c_line[rand(eighteen_c_line.length)] + '        ' + twentytwo_c_line[rand(twentytwo_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 19
	 		z = 0
	 		while z !=13
	 		puts nineteen_c_line[rand(nineteen_c_line.length)] + '        ' + twentyone_c_line[rand(twentyone_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 20
	 		z = 0
	 		while z !=13
	 		puts twenty_c_line[rand(twenty_c_line.length)] + '        ' + twenty_c_line[rand(twenty_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 21
	 		z = 0
	 		while z !=13
	 		puts twentyone_c_line[rand(twentyone_c_line.length)] + '        ' + nineteen_c_line[rand(nineteen_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 22
	 		z = 0
	 		while z !=13
	 		puts twentytwo_c_line[rand(twentytwo_c_line.length)] + '        ' + eighteen_c_line[rand(eighteen_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 23
	 		z = 0
	 		while z !=13
	 		puts twentythree_c_line[rand(twentythree_c_line.length)] + '        ' + seventeen_c_line[rand(seventeen_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 24
	 		z = 0
	 		while z !=13
	 		puts twentyfour_c_line[rand(twentyfour_c_line.length)] + '        ' + sixteen_c_line[rand(sixteen_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 25
	 		z = 0
	 		while z !=13
	 		puts twentyfive_c_line[rand(twentyfive_c_line.length)] + '        ' + fifteen_c_line[rand(fifteen_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 26
	 		z = 0
	 		while z !=13
	 		puts twentysix_c_line[rand(twentysix_c_line.length)] + '        ' + fourteen_c_line[rand(fourteen_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 27
	 		z = 0
	 		while z !=13
	 		puts twentyseven_c_line[rand(twentyseven_c_line.length)] + '        ' + thirteen_c_line[rand(thirteen_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 28
	 		z = 0
	 		while z !=13
	 		puts twentyeight_c_line[rand(twentyeight_c_line.length)] + '        ' + twelve_c_line[rand(twelve_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 29
	 		z = 0
	 		while z !=13
	 		puts twentynine_c_line[rand(twentynine_c_line.length)] + '        ' + eleven_c_line[rand(eleven_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 30
	 		z = 0
	 		while z !=13
	 		puts thirty_c_line[rand(thirty_c_line.length)] + '        ' + ten_c_line[rand(ten_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 31
	 		z = 0
	 		while z !=13
	 		puts thirtyone_c_line[rand(thirtyone_c_line.length)] + '        ' + nine_c_line[rand(nine_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 32
	 		z = 0
	 		while z !=13
	 		puts thirtytwo_c_line[rand(thirtytwo_c_line.length)] + '        ' + eight_c_line[rand(eight_c_line.length)]
	 		z = (z + 1)
	 		end
	 	elsif y == 33
	 		z = 0
	 		while z !=13
	 		puts thirtythree_c_line[rand(thirtythree_c_line.length)] + '        ' + seven_c_line[rand(seven_c_line.length)]
	 		z = (z + 1)
	 		end
	 		end
	 puts
	 puts '--------------------------------------'
end

# The following long section is a set of utilities that was used to produce the HTML selection of poems for an exhibition version of Frequency shown in 2009 and on the web.
# This did not work when I tested it today, but should if the system has permission to write to the current directory.
# I might try to fix this, or not.
# The cool thing about this is that with one command, the program can instantaneously write a collection of 200 poems of the given form.

# Proc to build a collection of 200 petrarchan scheme poems
petrarchan_collection = Proc.new do	
 Dir.mkdir("/frequency_petrarchan")
 Dir.chdir("/frequency_petrarchan")
 x = 0
	while x != 200
		File.new("temp.txt", "w+")
		newpoem = File.open("temp.txt", "w+")
		newpoem.puts("HTML_START")
		newpoem.puts "<h1>" +  frequency[rand(200)][rand(10)].upcase + "</h1>"
		newpoem.puts A[rand(A.length)] + "<br/>"
		newpoem.puts "&nbsp;" + B[rand(B.length)] + "<br/>"
		newpoem.puts "&nbsp;" + B[rand(B.length)] + "<br/>"
		newpoem.puts "&nbsp;" + A[rand(A.length)] + "<br/>"
		newpoem.puts A[rand(A.length)] + "<br/>"
		newpoem.puts "&nbsp;" + B[rand(B.length)] + "<br/>"
		newpoem.puts "&nbsp;" + B[rand(B.length)] + "<br/>"
		newpoem.puts "&nbsp;" + A[rand(A.length)] + "<br/>"
		newpoem.puts C[rand(C.length)] + "<br/>"
		newpoem.puts "&nbsp;" + D[rand(D.length)] + "<br/>"
		newpoem.puts "&nbsp;" + E[rand(E.length)] + "<br/>"
		newpoem.puts C[rand(C.length)] + "<br/>"
		newpoem.puts "&nbsp;" + D[rand(D.length)] + "<br/>"
		newpoem.puts "&nbsp;" + E[rand(E.length)] + "<br/>"
		newpoem.puts("HTML_FINISH")
		File.rename("temp.txt", "frequency_" + x.to_s + ".html")
		x = (x + 1)
	end	
end

# Proc to build a collection of 200 spenserian scheme poems
spenserian_collection = Proc.new do	
 Dir.mkdir("/frequency_spenserian")
 Dir.chdir("/frequency_spenserian")
 x = 0
	while x != 200
		File.new("temp.txt", "w+")
		newpoem = File.open("temp.txt", "w+")
		newpoem.puts("HTML_START")
		newpoem.puts "<h1>" +  frequency[rand(200)][rand(10)].upcase + "</h1>"
		newpoem.puts A[rand(A.length)] + "<br/>"
		newpoem.puts "&nbsp;" + B[rand(B.length)] + "<br/>"
		newpoem.puts "&nbsp;" + A[rand(A.length)] + "<br/>"
		newpoem.puts "&nbsp;" + B[rand(B.length)] + "<br/>"
		newpoem.puts B[rand(B.length)] + "<br/>"
		newpoem.puts "&nbsp;" + C[rand(C.length)] + "<br/>"
		newpoem.puts "&nbsp;" + B[rand(B.length)] + "<br/>"
		newpoem.puts "&nbsp;" + C[rand(C.length)] + "<br/>"
		newpoem.puts C[rand(C.length)] + "<br/>"
		newpoem.puts "&nbsp;" + D[rand(D.length)] + "<br/>"
		newpoem.puts "&nbsp;" + C[rand(C.length)] + "<br/>"
		newpoem.puts "&nbsp;" + D[rand(D.length)] + "<br/>"
		newpoem.puts E[rand(E.length)] + "<br/>"
		newpoem.puts E[rand(E.length)] + "<br/>"
		newpoem.puts("HTML_FINISH")
		File.rename("temp.txt", "frequency_" + x.to_s + ".html")
		x = (x + 1)
	end	
end

# Proc to build a collection of 200 terza rima poems
terza_rima_collection = Proc.new do	
Dir.mkdir("/frequency_terza_rima")
Dir.chdir("/frequency_terza_rima")
x = 0
	while x != 200
		File.new("temp.txt", "w+")
		newpoem = File.open("temp.txt", "w+")
		newpoem.puts("HTML_START")
		newpoem.puts "<h1>" + frequency[rand(200)][rand(10)].upcase + "</h1>"
		newpoem.puts A[rand(A.length)] + "<br/>"
		newpoem.puts B[rand(B.length)] + "<br/>"
		newpoem.puts A[rand(A.length)] + "<br/>"
		newpoem.puts "<br/>"
		newpoem.puts B[rand(B.length)] + "<br/>"
		newpoem.puts C[rand(C.length)] + "<br/>"
		newpoem.puts B[rand(B.length)] + "<br/>"
		newpoem.puts "<br/>"
		newpoem.puts C[rand(C.length)] + "<br/>"
		newpoem.puts D[rand(D.length)] + "<br/>"
		newpoem.puts C[rand(C.length)] + "<br/>"
		newpoem.puts "<br/>"
		newpoem.puts D[rand(D.length)] + "<br/>"
		newpoem.puts E[rand(E.length)] + "<br/>"
		newpoem.puts D[rand(D.length)] + "<br/>"
		newpoem.puts("HTML_FINISH")
		File.rename("temp.txt", "frequency_" + x.to_s + ".html")
		x = (x + 1)
	end	
end

# Proc to build a collection of 200 two towers
twotower_collection = Proc.new do
Dir.mkdir("/frequency_two_towers")
Dir.chdir("/frequency_two_towers")
x = 0
	while x != 200
		File.new("temp.txt", "w+")
		newpoem = File.open("temp.txt", "w+")
		newpoem.puts("HTML_START")
		newpoem.puts "<h1>" + frequency[rand(200)][rand(10)].upcase.center(48) + "</h1>"
		newpoem.puts
		y = (rand(27) + 7)
	 	if y == 7
	 		z = 0
	 		while z !=13
	 		newpoem.puts seven_c_line[rand(seven_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + thirtythree_c_line[rand(thirtythree_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 8
	 		z = 0
	 		while z !=13
	 		newpoem.puts eight_c_line[rand(eight_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + thirtytwo_c_line[rand(thirtytwo_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 9
	 		z = 0
	 		while z !=13
	 		newpoem.puts nine_c_line[rand(nine_c_line.length)]  + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + thirtyone_c_line[rand(thirtyone_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 10
	 		z = 0
	 		while z !=13
	 		newpoem.puts ten_c_line[rand(ten_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + thirty_c_line[rand(thirty_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 11
	 		z = 0
	 		while z !=13
	 		newpoem.puts eleven_c_line[rand(eleven_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + twentynine_c_line[rand(twentynine_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 12
	 		z = 0
	 		while z !=13
	 		newpoem.puts twelve_c_line[rand(twelve_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + twentyeight_c_line[rand(twentyeight_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 13
	 		z = 0
	 		while z !=13
	 		newpoem.puts thirteen_c_line[rand(thirteen_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + twentyseven_c_line[rand(twentyseven_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 14
	 		z = 0
	 		while z !=13
	 		newpoem.puts fourteen_c_line[rand(fourteen_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + twentysix_c_line[rand(twentysix_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 15
	 		z = 0
	 		while z !=13
	 		newpoem.puts fifteen_c_line[rand(fifteen_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + twentyfive_c_line[rand(twentyfive_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 16
	 		z = 0
	 		while z !=13
	 		newpoem.puts sixteen_c_line[rand(sixteen_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + twentyfour_c_line[rand(twentyfour_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 17
	 		z = 0
	 		while z !=13
	 		newpoem.puts seventeen_c_line[rand(seventeen_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + twentythree_c_line[rand(twentythree_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 18
	 		z = 0
	 		while z !=13
	 		newpoem.puts eighteen_c_line[rand(eighteen_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + twentytwo_c_line[rand(twentytwo_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 19
	 		z = 0
	 		while z !=13
	 		newpoem.puts nineteen_c_line[rand(nineteen_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + twentyone_c_line[rand(twentyone_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 20
	 		z = 0
	 		while z !=13
	 		newpoem.puts twenty_c_line[rand(twenty_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + twenty_c_line[rand(twenty_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 21
	 		z = 0
	 		while z !=13
	 		newpoem.puts twentyone_c_line[rand(twentyone_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + nineteen_c_line[rand(nineteen_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 22
	 		z = 0
	 		while z !=13
	 		newpoem.puts twentytwo_c_line[rand(twentytwo_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + eighteen_c_line[rand(eighteen_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 23
	 		z = 0
	 		while z !=13
	 		newpoem.puts twentythree_c_line[rand(twentythree_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + seventeen_c_line[rand(seventeen_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 24
	 		z = 0
	 		while z !=13
	 		newpoem.puts twentyfour_c_line[rand(twentyfour_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + sixteen_c_line[rand(sixteen_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 25
	 		z = 0
	 		while z !=13
	 		newpoem.puts twentyfive_c_line[rand(twentyfive_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + fifteen_c_line[rand(fifteen_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 26
	 		z = 0
	 		while z !=13
	 		newpoem.puts twentysix_c_line[rand(twentysix_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + fourteen_c_line[rand(fourteen_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 27
	 		z = 0
	 		while z !=13
	 		newpoem.puts twentyseven_c_line[rand(twentyseven_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + thirteen_c_line[rand(thirteen_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 28
	 		z = 0
	 		while z !=13
	 		newpoem.puts twentyeight_c_line[rand(twentyeight_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + twelve_c_line[rand(twelve_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 29
	 		z = 0
	 		while z !=13
	 		newpoem.puts twentynine_c_line[rand(twentynine_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + eleven_c_line[rand(eleven_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 30
	 		z = 0
	 		while z !=13
	 		newpoem.puts thirty_c_line[rand(thirty_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + ten_c_line[rand(ten_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 31
	 		z = 0
	 		while z !=13
	 		newpoem.puts thirtyone_c_line[rand(thirtyone_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + nine_c_line[rand(nine_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 32
	 		z = 0
	 		while z !=13
	 		newpoem.puts thirtytwo_c_line[rand(thirtytwo_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + eight_c_line[rand(eight_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 	elsif y == 33
	 		z = 0
	 		while z !=13
	 		newpoem.puts thirtythree_c_line[rand(thirtythree_c_line.length)] + "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;" + seven_c_line[rand(seven_c_line.length)] + "<br/>"
	 		z = (z + 1)
	 		end
	 		end
	 	newpoem.puts("HTML_FINISH")
		File.rename("temp.txt", "frequency_" + x.to_s + ".html")
		x = (x + 1)
	end
end

# Proc to build a collection of 200 haiku
haiku_collection = Proc.new do
Dir.mkdir("/frequency_haiku")
Dir.chdir("/frequency_haiku")
x = 0
	while x != 200
		File.new("temp.txt", "w+")
		newpoem = File.open("temp.txt", "w+")
		newpoem.puts("HTML_START")
		newpoem.puts "<h1>" + frequency[rand(200)][rand(10)].upcase + "</h1>"
		newpoem.puts five_syll_line[rand(five_syll_line.length)] + "<br/>"
		newpoem.puts seven_syll_line[rand(seven_syll_line.length)] + "<br/>"
		newpoem.puts five_syll_line[rand(five_syll_line.length)] + "<br/>"
		newpoem.puts("HTML_FINISH")
		File.rename("temp.txt", "frequency_" + x.to_s + ".html")
		x = (x + 1)
	end
end

# Proc to build a collection of 200 doublings
doubling_collection = Proc.new do
Dir.mkdir("/frequency_doubling")
Dir.chdir("/frequency_doubling")
x = 0
	while x != 200
		File.new("temp.txt", "w+")
		newpoem = File.open("temp.txt", "w+")
		newpoem.puts("HTML_START")
		newpoem.puts "<h1>" + frequency[rand(200)][rand(10)].upcase + "</h1>"
		newpoem.puts two_syll_line[rand(two_syll_line.length)] + "<br/>"
		newpoem.puts four_syll_line[rand(four_syll_line.length)] + "<br/>"
		newpoem.puts eight_syll_line[rand(eight_syll_line.length)] + "<br/>"
		newpoem.puts eight_syll_line[rand(eight_syll_line.length)] + "<br/>"
		newpoem.puts four_syll_line[rand(four_syll_line.length)] + "<br/>"
		newpoem.puts two_syll_line[rand(two_syll_line.length)] + "<br/>"
		newpoem.puts("HTML_FINISH")
		File.rename("temp.txt", "frequency_" + x.to_s + ".html")
		x = (x + 1)
	end
end

# Proc to build a collection of 200 tanka
tanka_collection = Proc.new do
Dir.mkdir("/frequency_tanka")
Dir.chdir("/frequency_tanka")
x = 0
	while x != 200
		File.new("temp.txt", "w+")
		newpoem = File.open("temp.txt", "w+")
		newpoem.puts("HTML_START")
		newpoem.puts "<h1>" + frequency[rand(200)][rand(10)].upcase + "</h1>"
		newpoem.puts five_syll_line[rand(five_syll_line.length)] + "<br/>"
		newpoem.puts seven_syll_line[rand(seven_syll_line.length)] + "<br/>"
		newpoem.puts five_syll_line[rand(five_syll_line.length)] + "<br/>"
		newpoem.puts seven_syll_line[rand(seven_syll_line.length)] + "<br/>"
		newpoem.puts seven_syll_line[rand(seven_syll_line.length)] + "<br/>"
		newpoem.puts("HTML_FINISH")
		File.rename("temp.txt", "frequency_" + x.to_s + ".html")
		x = (x + 1)
	end
end

# Proc to build a collection of 200 four square poem
four_square_collection = Proc.new do
	Dir.mkdir("/frequency_foursquare")
	Dir.chdir("/frequency_foursquare")
	g = 0
	while g != 200
		File.new("temp.txt", "w+")
		newpoem = File.open("temp.txt", "w+")
		newpoem.puts("HTML_START")
		newpoem.puts "<h1>" + frequency[rand(200)][rand(10)].upcase + "</h1>"
		x = 0
		spaces = rand(24)
			while x != 4
	 		y = (rand(34) + 7)
	 			if y == 7
	 			z = 0
	 				while z !=4
	 				newpoem.puts(("&nbsp;" * spaces) + seven_c_line[rand(seven_c_line.length)] + "<br/>")
	 				z = (z + 1)
	 			end
	 			elsif y == 8
	 			z = 0
	 				while z !=4
	 				newpoem.puts(("&nbsp;" * spaces) + eight_c_line[rand(eight_c_line.length)] + "<br/>")
	 				z = (z + 1)
	 			end
	 			elsif y == 9
	 			z = 0
	 				while z !=4
	 				newpoem.puts(("&nbsp;" * spaces) + nine_c_line[rand(nine_c_line.length)] + "<br/>")
	 				z = (z + 1)
	 			end
	 			elsif y == 10
	 			z = 0
	 				while z !=4
	 				newpoem.puts(("&nbsp;" * spaces) + ten_c_line[rand(ten_c_line.length)] + "<br/>")
	 				z = (z + 1)
	 			end
	 			elsif y == 11
	 			z = 0
	 				while z !=4
	 				newpoem.puts(("&nbsp;" * spaces) + eleven_c_line[rand(eleven_c_line.length)] + "<br/>")
	 				z = (z + 1)
	 			end
	 			elsif y == 12
	 			z = 0
	 				while z !=4
	 				newpoem.puts(("&nbsp;" * spaces) + twelve_c_line[rand(twelve_c_line.length)] + "<br/>")
	 				z = (z + 1)
	 			end
	 			elsif y == 13
	 				z = 0
	 				while z !=4
	 				newpoem.puts(("&nbsp;" * spaces) + thirteen_c_line[rand(thirteen_c_line.length)] + "<br/>")
	 				z = (z + 1)
	 			end
	 			elsif y == 14
	 			z = 0
	 				while z !=4
	 				newpoem.puts(("&nbsp;" * spaces) + fourteen_c_line[rand(fourteen_c_line.length)] + "<br/>")
	 				z = (z + 1)
	 			end
	 			elsif y == 15
	 			z = 0
	 				while z !=4
	 				newpoem.puts(("&nbsp;" * spaces) + fifteen_c_line[rand(fifteen_c_line.length)] + "<br/>")
	 				z = (z + 1)
	 			end
	 			elsif y == 16
	 			z = 0
	 				while z !=4
	 				newpoem.puts(("&nbsp;" * spaces) + sixteen_c_line[rand(sixteen_c_line.length)] + "<br/>")
	 				z = (z + 1)
	 			end
	 			elsif y == 17
	 			z = 0
	 				while z !=4
	 				newpoem.puts(("&nbsp;" * spaces) + seventeen_c_line[rand(seventeen_c_line.length)] + "<br/>")
	 				z = (z + 1)
	 			end
	 	elsif y == 18
	 		z = 0
	 		while z !=4
	 		newpoem.puts(("&nbsp;" * spaces) + eighteen_c_line[rand(eighteen_c_line.length)] + "<br/>")
	 		z = (z + 1)
	 		end
	 	elsif y == 19
	 		z = 0
	 		while z !=4
	 		newpoem.puts(("&nbsp;" * spaces) + nineteen_c_line[rand(nineteen_c_line.length)] + "<br/>")
	 		z = (z + 1)
	 		end
	 	elsif y == 20
	 		z = 0
	 		while z !=4
	 		newpoem.puts(("&nbsp;" * spaces) + twenty_c_line[rand(twenty_c_line.length)] + "<br/>")
	 		z = (z + 1)
	 		end
	 	elsif y == 21
	 		z = 0
	 		while z !=4
	 		newpoem.puts(("&nbsp;" * spaces) + twentyone_c_line[rand(twentyone_c_line.length)] + "<br/>")
	 		z = (z + 1)
	 		end
	 	elsif y == 22
	 		z = 0
	 		while z !=4
	 		newpoem.puts(("&nbsp;" * spaces) + twentytwo_c_line[rand(twentytwo_c_line.length)] + "<br/>")
	 		z = (z + 1)
	 		end
	 	elsif y == 23
	 		z = 0
	 		while z !=4
	 		newpoem.puts(("&nbsp;" * spaces) + twentythree_c_line[rand(twentythree_c_line.length)] + "<br/>")
	 		z = (z + 1)
	 		end
	 	elsif y == 24
	 		z = 0
	 		while z !=4
	 		newpoem.puts(("&nbsp;" * spaces) + twentyfour_c_line[rand(twentyfour_c_line.length)] + "<br/>")
	 		z = (z + 1)
	 		end
	 	elsif y == 25
	 		z = 0
	 		while z !=4
	 		newpoem.puts(("&nbsp;" * spaces) + twentyfive_c_line[rand(twentyfive_c_line.length)] + "<br/>")
	 		z = (z + 1)
	 		end
	 	elsif y == 26
	 		z = 0
	 		while z !=4
	 		newpoem.puts(("&nbsp;" * spaces) + twentysix_c_line[rand(twentysix_c_line.length)] + "<br/>")
	 		z = (z + 1)
	 		end
	 	elsif y == 27
	 		z = 0
	 		while z !=4
	 		newpoem.puts(("&nbsp;" * spaces) + twentyseven_c_line[rand(twentyseven_c_line.length)] + "<br/>")
	 		z = (z + 1)
	 		end
	 	elsif y == 28
	 		z = 0
	 		while z !=4
	 		newpoem.puts(("&nbsp;" * spaces) + twentyeight_c_line[rand(twentyeight_c_line.length)] + "<br/>")
	 		z = (z + 1)
	 		end
	 	elsif y == 29
	 		z = 0
	 		while z !=4
	 		newpoem.puts(("&nbsp;" * spaces) + twentynine_c_line[rand(twentynine_c_line.length)] + "<br/>")
	 		z = (z + 1)
	 		end
	 	elsif y == 30
	 		z = 0
	 		while z !=4
	 		newpoem.puts(("&nbsp;" * spaces) + thirty_c_line[rand(thirty_c_line.length)] + "<br/>")
	 		z = (z + 1)
	 		end
	 	elsif y == 31
	 		z = 0
	 		while z !=4
	 		newpoem.puts(("&nbsp;" * spaces) + thirtyone_c_line[rand(thirtyone_c_line.length)] + "<br/>")
	 		z = (z + 1)
	 		end
	 	elsif y == 32
	 		z = 0
	 		while z !=4
	 		newpoem.puts(("&nbsp;" * spaces) + thirtytwo_c_line[rand(thirtytwo_c_line.length)] + "<br/>")
	 		z = (z + 1)
	 		end
	 	elsif y == 33
	 		z = 0
	 		while z !=4
	 		newpoem.puts(("&nbsp;" * spaces) + thirtythree_c_line[rand(thirtythree_c_line.length)] + "<br/>")
	 		z = (z + 1)
	 		end
	 	elsif y == 34
	 		z = 0
	 		while z !=4
	 		newpoem.puts(("&nbsp;" * spaces) + thirtyfour_c_line[rand(thirtyfour_c_line.length)] + "<br/>")
	 		z = (z + 1)
	 		end
	 	elsif y == 35
	 		z = 0
	 		while z !=4
	 		newpoem.puts(("&nbsp;" * spaces) + thirtyfive_c_line[rand(thirtyfive_c_line.length)] + "<br/>")
	 		z = (z + 1)
	 		end
	 	elsif y == 36
	 		z = 0
	 		while z !=4
	 		newpoem.puts(("&nbsp;" * spaces) + thirtysix_c_line[rand(thirtysix_c_line.length)] + "<br/>")
	 		z = (z + 1)
	 		end
	 	elsif y == 37
	 		z = 0
	 		while z !=4
	 		newpoem.puts(("&nbsp;" * spaces) + thirtyseven_c_line[rand(thirtyseven_c_line.length)] + "<br/>")
	 		z = (z + 1)
	 		end
	 	elsif y == 38
	 		z = 0
	 		while z !=4
	 		newpoem.puts(("&nbsp;" * spaces) + thirtyeight_c_line[rand(thirtyeight_c_line.length)] + "<br/>")
	 		z = (z + 1)
	 		end
	 	elsif y == 39
	 		z = 0
	 		while z !=4
	 		newpoem.puts(("&nbsp;" * spaces) + thirtynine_c_line[rand(thirtynine_c_line.length)] + "<br/>")
	 		z = (z + 1)
	 		end
	 	elsif y == 40
	 		z = 0
	 		while z !=4
	 		newpoem.puts(("&nbsp;" * spaces) + forty_c_line[rand(forty_c_line.length)] + "<br/>")
	 		z = (z + 1)
	 		end
	 	end	
		spaces = y/2.to_i 
		newpoem.puts "<br/>"
		x = (x + 1)
		end
		newpoem.puts("HTML_FINISH")
		File.rename("temp.txt", "frequency_" + g.to_s + ".html")
		g = (g + 1)
	end
end
	
# Proc to build a collection of 200 Snowball by word
snowball_word_collection = Proc.new do	
Dir.mkdir("/frequency_snowball_by_word")
Dir.chdir("/frequency_snowball_by_word")
x = 0
	while x != 200
		File.new("temp.txt", "w+")
		newpoem = File.open("temp.txt", "w+")
		newpoem.puts("HTML_START")
		newpoem.puts "<h1>" + frequency[rand(200)][rand(10)].upcase + "</h1>"
		newpoem.puts two_word_line[rand(two_word_line.length)] + "<br/>"
		newpoem.puts three_word_line[rand(three_word_line.length)] + "<br/>"
		newpoem.puts four_word_line[rand(four_word_line.length)] + "<br/>"
		newpoem.puts five_word_line[rand(five_word_line.length)] + "<br/>"
		newpoem.puts seven_word_line[rand(seven_word_line.length)] + "<br/>"
		newpoem.puts eight_word_line[rand(eight_word_line.length)] + "<br/>"
		newpoem.puts nine_word_line[rand(nine_word_line.length)] + "<br/>"
		newpoem.puts ten_word_line[rand(ten_word_line.length)] + "<br/>"
		newpoem.puts eleven_word_line[rand(eleven_word_line.length)] + "<br/>"
		newpoem.puts twelve_word_line[rand(twelve_word_line.length)] + "<br/>"
		newpoem.puts("HTML_FINISH")
		File.rename("temp.txt", "frequency_" + x.to_s + ".html")
		x = (x + 1)
	end
end	

# Proc to build a collection of 200 Snowball by character
snowball_char_collection = Proc.new do	
Dir.mkdir("/frequency_snowball_by_char")
Dir.chdir("/frequency_snowball_by_char")
x = 0
	while x != 200
		File.new("temp.txt", "w+")
		newpoem = File.open("temp.txt", "w+")
		newpoem.puts("HTML_START")
		newpoem.puts "<h1>" + frequency[rand(200)][rand(10)].upcase + "</h1>"
		newpoem.puts six_c_line[rand(six_c_line.length)] + "<br/>"
		newpoem.puts seven_c_line[rand(seven_c_line.length)] + "<br/>"
		newpoem.puts eight_c_line[rand(eight_c_line.length)] + "<br/>"
		newpoem.puts nine_c_line[rand(nine_c_line.length)] + "<br/>"
		newpoem.puts ten_c_line[rand(ten_c_line.length)] + "<br/>"
		newpoem.puts eleven_c_line[rand(eleven_c_line.length)] + "<br/>"
		newpoem.puts twelve_c_line[rand(twelve_c_line.length)] + "<br/>"
		newpoem.puts thirteen_c_line[rand(thirteen_c_line.length)] + "<br/>"
		newpoem.puts fourteen_c_line[rand(fourteen_c_line.length)] + "<br/>"
		newpoem.puts fifteen_c_line[rand(fifteen_c_line.length)] + "<br/>"
		newpoem.puts sixteen_c_line[rand(sixteen_c_line.length)] + "<br/>"
		newpoem.puts seventeen_c_line[rand(seventeen_c_line.length)] + "<br/>"
		newpoem.puts eighteen_c_line[rand(eighteen_c_line.length)] + "<br/>"
		newpoem.puts nineteen_c_line[rand(nineteen_c_line.length)] + "<br/>"
		newpoem.puts twenty_c_line[rand(twenty_c_line.length)] + "<br/>"
		newpoem.puts twentyone_c_line[rand(twentyone_c_line.length)] + "<br/>"
		newpoem.puts twentytwo_c_line[rand(twentytwo_c_line.length)] + "<br/>"
		newpoem.puts twentythree_c_line[rand(twentythree_c_line.length)] + "<br/>"
		newpoem.puts twentyfour_c_line[rand(twentyfour_c_line.length)] + "<br/>"
		newpoem.puts twentyfive_c_line[rand(twentyfive_c_line.length)] + "<br/>"
		newpoem.puts twentysix_c_line[rand(twentysix_c_line.length)] + "<br/>"
		newpoem.puts twentyseven_c_line[rand(twentyseven_c_line.length)] + "<br/>"
		newpoem.puts twentyeight_c_line[rand(twentyeight_c_line.length)] + "<br/>"
		newpoem.puts twentynine_c_line[rand(twentynine_c_line.length)] + "<br/>"
		newpoem.puts thirty_c_line[rand(thirty_c_line.length)] + "<br/>"
		newpoem.puts thirtyone_c_line[rand(thirtyone_c_line.length)] + "<br/>"
		newpoem.puts thirtytwo_c_line[rand(thirtytwo_c_line.length)] + "<br/>"
		newpoem.puts thirtythree_c_line[rand(thirtythree_c_line.length)] + "<br/>"
		newpoem.puts thirtyfour_c_line[rand(thirtyfour_c_line.length)] + "<br/>"
		newpoem.puts thirtyfive_c_line[rand(thirtyfive_c_line.length)] + "<br/>"
		newpoem.puts thirtysix_c_line[rand(thirtysix_c_line.length)] + "<br/>"
		newpoem.puts thirtyseven_c_line[rand(thirtyseven_c_line.length)] + "<br/>"
		newpoem.puts thirtyeight_c_line[rand(thirtyeight_c_line.length)] + "<br/>"
		newpoem.puts thirtynine_c_line[rand(thirtynine_c_line.length)] + "<br/>"
		newpoem.puts forty_c_line[rand(forty_c_line.length)] + "<br/>"
		newpoem.puts fortyone_c_line[rand(fortyone_c_line.length)] + "<br/>"
		newpoem.puts fortytwo_c_line[rand(fortytwo_c_line.length)] + "<br/>"
		newpoem.puts("HTML_FINISH")
		File.rename("temp.txt", "frequency_" + x.to_s + ".html")
		x = (x + 1)
	end
end

# The following section of the program is what produces the interactive command line user interface.
# Note that many of the functions - the utilities - are not visible to the user unless they answer to the first question with the specific command word.

puts 'Do you want the poem to rhyme?'
answer = gets.chomp
  if answer == 'yes' or answer == 'Yes' or answer == 'y'
	puts 'Would you prefer a Petrarchan, Shakespearian, Spenserian, or Terza rima rhyme scheme?'
	answer2 = gets.chomp
	 	if
	 	answer2 == 'Shakespearian' or answer2 == 'shakespearian' or answer2 == 'sh'
		shakespearian.call
	 	elsif answer2 == 'Spenserian' or answer2 == 'spenserian' or answer2 == 'sp'
	 	spenserian.call
	 	elsif answer2 == 'Terza rima' or answer2 == 'terza rima' or answer2 == 't'
	 	terza_rima.call
	 	else
	 	answer2 =='Petrarchan' or answer2 == 'petrarchan' or answer2 == 'p'
	 	petrarchan.call
	    end
	elsif answer == 'no' or answer == 'No' or answer == 'n'
	puts 'Would you like a normal poem, a haiku, a tanka, a snowball, a doubling, a foursquare, or two towers?'
	answer2 = gets.chomp
		if answer2 == 'Normal' or answer2 == 'normal' or answer2 == 'normal poem' or answer2 == 'Normal poem' or answer2 == 'n'
		normal_poem.call
		elsif answer2 == 'Snowball' or answer2 == 'snowball' or answer2 == 's'
		puts 'Snowball by character, word, or syllable?'
		answer3 = gets.chomp 
			if answer3 == 'character' or answer3 == 'by character' or answer3 == 'Character' or answer3 == 'c'
			snowball_character.call
			elsif answer3 == 'word' or answer3 == 'by word' or answer3 == 'Word' or answer3 == 'w'
			snowball_word.call
			else
			snowball_syllable.call
			end
		elsif answer2 == 'Tanka' or answer2 == 'tanka' or answer2 == 't'
		tanka.call
		elsif answer2 == 'Doubling' or answer2 == 'doubling' or answer2 == 'd'
		doubling.call
		elsif answer2 == 'Foursquare' or answer2 == 'foursquare' or answer2 == 'four square' or answer2 == 'f'
		four_square.call
		elsif answer2 == 'Two towers' or answer2 == 'two towers' or answer2 == 'twotowers' or answer2 == 'tw'
		two_towers.call
		else
		haiku.call
		end
	elsif answer == 'haiku' or answer == 'Haiku' or answer == 'h'
		haiku.call
	elsif answer == 'tanka' or answer == 'Tanka' or answer == 't'
		tanka.call
	elsif answer == 'Doubling' or answer == 'doubling' or answer == 'd'
		doubling.call
	elsif answer == 'Snowball' or answer == 'snowball' or answer == 's'
		puts 'Snowball by character, word, or syllable?'
		answer3 = gets.chomp 
			if answer3 == 'character' or answer3 == 'by character' or answer3 == 'Character' or answer3 == 'c'
			snowball_character.call
			elsif answer3 == 'word' or answer3 == 'by word' or answer3 == 'Word' or answer3 == 'w'
			snowball_word.call
			else
			snowball_syllable.call
			end
	elsif answer == 'Foursquare' or answer == 'foursquare' or answer == 'four square' or answer == 'f'
		four_square.call
	elsif answer == 'Two towers' or answer == 'two towers' or answer == 'twotowers' or answer == 'tw'
		two_towers.call
	elsif answer == 'wordcount' or answer == 'words'
	 wordcount.call
	elsif answer == 'syllables'
	 syllable_count.call
	elsif answer == 'lines by syllables'
	 lines_syllables.call
	elsif answer == 'lines by words'
	 lines_wordcount.call
	elsif answer == 'lines by characters'
	 lines_charcount.call
	elsif answer == 'rhyme table'
	 rhyme_table.call
	elsif answer == 'doubling collection'
	 doubling_collection.call
	elsif answer == 'haiku collection'
	 haiku_collection.call
	elsif answer == 'tanka collection'
	 tanka_collection.call
	elsif answer == 'two tower collection'
	 twotower_collection.call
	elsif answer == 'terza rima collection'
	 terza_rima_collection.call
	elsif answer == 'petrarchan collection'
	 petrarchan_collection.call
	elsif answer == 'spenserian collection'
	 spenserian_collection.call
	elsif answer == 'snowball c collection'
	 snowball_char_collection.call
	elsif answer == 'snowball w collection'
	 snowball_word_collection.call
	elsif answer == 'foursquare collection'
	 four_square_collection.call
	else
 	 normal_poem.call
end
